package com.company.cloud.sdk.weixin.common.config;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 用于注解配置，展示给前端配置字段信息
 */
@Deprecated
@Target({ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface TupConfigModelProperty {

    /**
     * 字段含义
     */
    String name() default "";

    /**
     * 字段本体
     */
    String key() default "";

    /**
     * 字段默认值
     */
    String defVal() default "";

    /**
     * 字段是否必须
     */
    String need() default "Y";  //Y N

    /**
     * 字段类型
     * text: 文本类型；select: 下拉选择类型；obj：对象类型；list：字符串数组类型；list.obj：对象数据类型
     */
    String eleType() default "text";

    /**
     * 若字段为select类型则列出所有option
     */
    String[] eleItems() default "";
}
