package com.company.cloud.sdk.weixin.common.config;

import java.lang.reflect.Field;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

import cn.hutool.core.util.ReflectUtil;
import com.company.cloud.sdk.weixin.common.config.TupConfigModelProperty;
import com.company.cloud.sdk.weixin.common.config.TupConfigParamItemModel;

@Deprecated
public class TupConfigParamItemUtils {

    public static List<TupConfigParamItemModel> getTupConfigParamItem(Class<?> clazz){
        List<TupConfigParamItemModel> data=new ArrayList<>();
        Field[] fields= ReflectUtil.getFields(clazz);
        if(fields.length > 0){
            for(Field field:fields){
                TupConfigModelProperty channelModelProperty = field.getAnnotation(TupConfigModelProperty.class);
                if(channelModelProperty!=null){
                    TupConfigParamItemModel model = new TupConfigParamItemModel();
                    model.setName(channelModelProperty.name());
                    model.setKey(channelModelProperty.key());
                    model.setDefVal(channelModelProperty.defVal());
                    model.setNeed(channelModelProperty.need());
                    model.setEleType(channelModelProperty.eleType());
                    model.setEleItems(channelModelProperty.eleItems());
                    if ("obj".equals(channelModelProperty.eleType())) {
                        model.setItem(getTupConfigParamItem(field.getType()));
                    } else if ("list".equals(channelModelProperty.eleType())) {
                        model.setItem(getTupConfigParamItem(String.class));
                    } else if ("list.obj".equals(channelModelProperty.eleType())) {
                        model.setItem(listTypeHandle(field.getGenericType()));
                    }
                    data.add(model);
                }
            }
        }
        return data;
    }
    
    /**
     * 获取list中泛型的类型
     * 注意list中泛型为String和包装类型问题，一律接收String
     */
    private static List<TupConfigParamItemModel> listTypeHandle(Type listType) {
        ParameterizedType type = (ParameterizedType) listType;
        Class<?> clazz = (Class<?>) type.getActualTypeArguments()[0];
        return getTupConfigParamItem(clazz);
    }
}
