package com.company.cloud.sdk.weixin.common.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * 微信JSSDK签名
 * https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#4
 * @author wing
 *
 */
@Getter
@Setter
@AllArgsConstructor
public class WxJSSDKSignModel {

    /**
     * 微信公众号标示
     */
    private String appId;

    /**
     * 签名
     */
    private String signature;
    
    /**
     * 随机字符串
     */
    private String nonceStr;

    /**
     * 时间戳
     */
    private String timestamp;

}
