package com.company.cloud.sdk.weixin.common.utils;

import com.company.cloud.sdk.weixin.common.aes.WXBizMsgCrypt;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.StringReader;
import java.util.HashMap;
import java.util.Map;

public class AesUtils {
    
    /**
     * 消息加密
     */
    public static String encryptMsg(String token, String appId, String encodingAesKey, String msg) throws Exception {
        String timestamp = WxCommonUtils.getTimestamp();
        String nonce = WxCommonUtils.getNonceStr();
        WXBizMsgCrypt pc = new WXBizMsgCrypt(token, encodingAesKey, appId);
        return pc.encryptMsg(msg, timestamp, nonce);
    }
    
    /**
     * 解析加密消息参数
     */
    public static Map<String, String> parseEncryptMsg(String encryptMsg) throws Exception {
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        DocumentBuilder db = dbf.newDocumentBuilder();
        StringReader sr = new StringReader(encryptMsg);
        InputSource is = new InputSource(sr);
        Document document = db.parse(is);

        Element root = document.getDocumentElement();
        NodeList nodelist1 = root.getElementsByTagName("Encrypt");

        String encrypt = nodelist1.item(0).getTextContent();

        Map<String, String> map = new HashMap<>();
        map.put("encrypt", encrypt);
        return map;
    }
    
    /**
     * 消息解密
     */
    public static String decryptMsg(String token, String appId, String encodingAesKey, String encryptMsg, String msgSignature, String timestamp, String nonce) throws Exception {
        WXBizMsgCrypt pc = new WXBizMsgCrypt(token, encodingAesKey, appId);

        Map<String, String> map = parseEncryptMsg(encryptMsg);
        String encrypt = map.get("encrypt");

        String format = "<xml><ToUserName><![CDATA[toUser]]></ToUserName><Encrypt><![CDATA[%1$s]]></Encrypt></xml>";
        String fromXML = String.format(format, encrypt);

        return pc.decryptMsg(msgSignature, timestamp, nonce, fromXML);
    }
    
}
