package com.company.cloud.sdk.weixin.common.utils;

import com.company.cloud.sdk.weixin.common.exception.WxException;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.Map;

public class UrlUtils {
    
    public static boolean strIsEmpty(String str) {
        return null == str || "".equals(str.trim());
    }

    public static String getParseUrl(String urlStr, Map<String, Object> params) {
        try {
            URL url = new URL(urlStr.trim());
            
            String protocol = url.getProtocol();
            String host = url.getHost();
            String path = url.getPath();

            String query = getUrlQuery(params);
            
            if (strIsEmpty(protocol)) {
                protocol = "http";
            }
            
            StringBuilder urlStrBuilder = new StringBuilder(protocol);
            urlStrBuilder.append("://" + host);
            if (!strIsEmpty(path)) {
                urlStrBuilder.append(path);
            }
            if (!strIsEmpty(query)) {
                urlStrBuilder.append("?" + query);
            }

            return urlStrBuilder.toString();
        } catch (MalformedURLException e) {
            e.printStackTrace();
            throw new WxException(e.getMessage());
        }
    }
    
    public static String getUrlQuery(Map<String, Object> params) {
        StringBuilder queryStr = new StringBuilder();
        params.forEach((key, value) -> {
            if (null != key && !"".equals(key.trim())) {
                queryStr.append(key + "=" + value.toString() + "&");
            }
            
        });
        return queryStr.length() > 0 ? queryStr.substring(0, queryStr.length() - 1) : "";
    }
}
