package com.company.cloud.sdk.weixin.common.utils;

import cn.hutool.crypto.digest.DigestUtil;
import com.company.cloud.sdk.weixin.common.model.WxJSSDKSignModel;
import com.company.cloud.sdk.weixin.common.utils.WxCommonUtils;

import java.util.Arrays;

/**
 * 微信签名
 * 
 * @author wing
 *
 */
public class WxJSSDKSignUtils {

    public static WxJSSDKSignModel sign(String appId, String url, String ticket) {
        String nonceStr = WxCommonUtils.getNonceStr();
        String timestamp = WxCommonUtils.getTimestamp();
        StringBuilder signStr = new StringBuilder();
        signStr.append("jsapi_ticket=" + ticket);
        signStr.append("&noncestr=" + nonceStr);
        signStr.append("&timestamp=" + timestamp);
        signStr.append("&url=" + WxCommonUtils.getUrl(url));
        String signature = DigestUtil.sha1Hex(signStr.toString());
        WxJSSDKSignModel model = new WxJSSDKSignModel(appId, signature, nonceStr, timestamp);
        return model;
    }

    public static String tokenVerification(String token, String timestamp, String nonce) {
        // 排序
        String[] arr = new String[] { token, timestamp, nonce };
        Arrays.sort(arr);

        // 生成字符串
        StringBuffer signStr = new StringBuffer();
        for (int i = 0; i < arr.length; i++) {
            signStr.append(arr[i]);
        }

        return DigestUtil.sha1Hex(signStr.toString());
    }
}
