package com.company.cloud.sdk.weixin.common.utils;

import java.util.ArrayList;
import java.util.Collections;

import org.apache.commons.codec.digest.DigestUtils;

/**
 * 微信验证
 * 
 * @author wing
 *
 */
public class WxVerificationUtils {

    public static boolean checkSignature(String token, String signature, String timestamp, String nonce) {
        ArrayList<String> list = new ArrayList<>();
        list.add(nonce);
        list.add(timestamp);
        list.add(token);
        Collections.sort(list);
        StringBuilder sb= new StringBuilder();
        list.forEach(sb::append);
        String result = sb.toString();
        String sha1 = DigestUtils.sha1Hex(result);
        return signature.equals(sha1);
    }

}
