package com.company.cloud.sdk.weixin.im;

import com.company.cloud.sdk.weixin.im.enums.WxIMApiType;
import com.company.cloud.sdk.weixin.im.model.profile.ProfileGetModel;
import com.company.cloud.sdk.weixin.im.model.profile.ProfileGetRespModel;
import com.company.cloud.sdk.weixin.im.model.profile.ProfileSetModel;
import com.company.cloud.sdk.weixin.im.model.profile.ProfileSetRespModel;
import com.company.cloud.sdk.weixin.im.utils.WxIMUtils;

/**
 * @Author dhz
 * @Date 2022/9/23 18:41
 */
public class WxImProfileApi {

    /**
     * 设置资料
     * 参考: https://cloud.tencent.com/document/product/269/1640
     */
    public static ProfileSetRespModel profileSet(ProfileSetModel entity) {
        String url = WxIMUtils.getUrl(WxIMApiType.portrait_set.getType(),entity);
        return WxIMUtils.postReq(new ProfileSetRespModel(),url, entity);
    }


    /**
     * 拉取资料
     * 参考: https://cloud.tencent.com/document/product/269/1639
     */
    public static ProfileGetRespModel profileGet(ProfileGetModel entity) {
        String url = WxIMUtils.getUrl(WxIMApiType.portrait_get.getType(),entity);
        return WxIMUtils.postReq(new ProfileGetRespModel(),url, entity);
    }
}
