package com.company.cloud.sdk.weixin.im.enums;

/**
 * @Author dhz
 * @Date 2022/9/22 15:01
 */
public enum WxIMApiType {

    //账号管理

    /**导入单个帐号*/
    account_import("v4/im_open_login_svc/account_import"),
    /**导入多个帐号*/
    multiaccount_import("v4/im_open_login_svc/multiaccount_import"),
    /**删除帐号*/
    account_delete("v4/im_open_login_svc/account_delete"),
    /**查询帐号	*/
    account_check("v4/im_open_login_svc/account_check"),
    /**失效帐号登录态*/
    kick("v4/im_open_login_svc/kick"),
    /**查询帐号在线状态	*/
    query_online_status("v4/openim/query_online_status"),


    //单聊消息

    /**单发单聊消息	*/
    sendmsg("v4/openim/sendmsg"),
    /**批量发单聊消息	*/
    batchsendmsg("v4/openim/batchsendmsg"),
    /**导入单聊消息	*/
    importmsg("v4/openim/importmsg"),
    /**查询单聊消息	*/
    admin_getroammsg("v4/openim/admin_getroammsg"),
    /**撤回单聊消息	*/
    admin_msgwithdraw("v4/openim/admin_msgwithdraw"),
    /**设置单聊消息已读	*/
    admin_set_msg_read("v4/openim/admin_set_msg_read"),
    /**查询单聊未读消息计数	*/
    get_c2c_unread_msg_num("v4/openim/get_c2c_unread_msg_num"),
    /**修改单聊历史消息	*/
    modify_c2c_msg("v4/openim/modify_c2c_msg"),


    //资料管理

    /**设置资料	*/
    portrait_set("v4/profile/portrait_set"),
    /**拉取资料	*/
    portrait_get("v4/profile/portrait_get"),


    //关系链管理

    /**添加好友	*/
    friend_add("v4/sns/friend_add"),
    /**导入好友	*/
    friend_import("v4/sns/friend_import"),
    /**更新好友	*/
    friend_update("v4/sns/friend_update"),
    /**删除好友	*/
    friend_delete("v4/sns/friend_delete"),
    /**删除所有好友	*/
    friend_delete_all("v4/sns/friend_delete_all"),
    /**校验好友	*/
    friend_check("v4/sns/friend_check"),
    /**拉取好友	*/
    friend_get("v4/sns/friend_get"),
    /**拉取指定好友	*/
    friend_get_list("v4/sns/friend_get_list"),
    /**添加黑名单	*/
    black_list_add("v4/sns/black_list_add"),
    /**删除黑名单	*/
    black_list_delete("v4/sns/black_list_delete"),
    /**拉取黑名单	*/
    black_list_get("v4/sns/black_list_get"),
    /**校验黑名单	*/
    black_list_check("v4/sns/black_list_check"),
    /**添加分组	*/
    group_add("v4/sns/group_add"),
    /**删除分组	*/
    group_delete("v4/sns/group_delete"),
    /**拉取分组	*/
    group_get("v4/sns/group_get"),

    //群组管理

    /**获取 App 中的所有群组	*/
    get_appid_group_list("v4/group_open_http_svc/get_appid_group_list"),
    /**创建群组	*/
    create_group("v4/group_open_http_svc/create_group"),
    /**获取群详细资料	*/
    get_group_info("v4/group_open_http_svc/get_group_info"),
    /**获取群成员详细资料	*/
    get_group_member_info("v4/group_open_http_svc/get_group_member_info"),
    /**修改群基础资料	*/
    modify_group_base_info("v4/group_open_http_svc/modify_group_base_info"),
    /**增加群成员		*/
    add_group_member("v4/group_open_http_svc/add_group_member"),
    /**删除群成员	*/
    delete_group_member("v4/group_open_http_svc/delete_group_member"),
    /**修改群成员资料	*/
    modify_group_member_info("v4/group_open_http_svc/modify_group_member_info"),
    /**解散群组	*/
    destroy_group("v4/group_open_http_svc/destroy_group"),
    /**获取用户所加入的群组	*/
    get_joined_group_list("v4/group_open_http_svc/get_joined_group_list"),
    /**查询用户在群组中的身份	*/
    get_role_in_group("v4/group_open_http_svc/get_role_in_group"),
    /**批量禁言和取消禁言	*/
    forbid_send_msg("v4/group_open_http_svc/forbid_send_msg"),
    /**获取被禁言群成员列表	*/
    get_group_shutted_uin("v4/group_open_http_svc/get_group_shutted_uin"),
    /**在群组中发送普通消息	*/
    send_group_msg("v4/group_open_http_svc/send_group_msg"),
    /**在群组中发送系统通知	*/
    send_group_system_notification("v4/group_open_http_svc/send_group_system_notification"),
    /**撤回群消息	*/
    group_msg_recall("v4/group_open_http_svc/group_msg_recall"),
    /**转让群主	*/
    change_group_owner("v4/group_open_http_svc/change_group_owner"),
    /**导入群基础资料	*/
    import_group("v4/group_open_http_svc/import_group"),
    /**导入群消息	*/
    import_group_msg("v4/group_open_http_svc/import_group_msg"),
    /**导入群成员	*/
    import_group_member("v4/group_open_http_svc/import_group_member"),
    /**设置成员未读消息计数	*/
    set_unread_msg_num("v4/group_open_http_svc/set_unread_msg_num"),
    /**删除指定用户发送的消息	*/
    delete_group_msg_by_sender("v4/group_open_http_svc/delete_group_msg_by_sender"),
    /**拉取群历史消息	*/
    group_msg_get_simple("v4/group_open_http_svc/group_msg_get_simple"),
    /**获取直播群在线人数	*/
    get_online_member_num("v4/group_open_http_svc/get_online_member_num"),
    /**获取群自定义属性	*/
    get_group_attr("v4/group_open_attr_http_svc/get_group_attr"),
    /**获取封禁群成员列表	*/
    get_group_ban_member("v4/group_open_http_svc/get_group_ban_member"),
    /**群成员封禁	*/
    ban_group_member("v4/group_open_http_svc/ban_group_member"),
    /**群成员解封	*/
    unban_group_member("v4/group_open_http_svc/unban_group_member"),
    /**修改群自定义属性	*/
    modify_group_attr("v4/group_open_http_svc/modify_group_attr"),
    /**清空群自定义属性	*/
    clear_group_attr("v4/group_open_http_svc/clear_group_attr"),
    /**重置群自定义属性	*/
    set_group_attr("v4/group_open_http_svc/set_group_attr"),
    /**修改群聊历史消息	*/
    modify_group_msg("v4/openim/modify_group_msg"),
    /**直播群广播消息	*/
    send_broadcast_msg("v4/group_open_http_svc/send_broadcast_msg");

    private final String type;

    WxIMApiType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    @Override
    public String toString() {
        return type;
    }

}
