package com.company.cloud.sdk.weixin.im.model;

import lombok.Getter;
import lombok.Setter;

/**
 * 微信IM签名
 * @author wing
 *
 */
@Getter
@Setter
public class IMSignModel {

    /**
     * 创建应用时即时通信 IM 控制台分配的 SDKAppID
     */
    private String sdkappid;

    /**
     * 	必须为 App 管理员帐号，更多详情请参见 App 管理员
     */
    private String identifier;
    
    /**
     *	App 管理员帐号生成的签名，具体操作请参见 生成 UserSig
     */
    private String usersig;

    /**
     * 请输入随机的32位无符号整数，取值范围0 - 4294967295
     */
    private String random;

    /**
     * 请求格式固定值为json
     */
    private String contenttype;

}
