package com.company.cloud.sdk.weixin.im.utils;

import com.company.cloud.sdk.weixin.common.constant.WxHttpMethodEnum;
import com.company.cloud.sdk.weixin.common.utils.WxHttpRequestUtils;
import com.company.cloud.sdk.weixin.im.enums.WxIMDomain;
import com.company.cloud.sdk.weixin.im.model.IMBaseRespModel;
import com.company.cloud.sdk.weixin.im.model.IMSignModel;

public class WxIMUtils {

    public static String getUrl(String wxApi, IMSignModel entity) {
        String url = wxApi + "?sdkappid=" + entity.getSdkappid() + "&identifier=" + entity.getIdentifier() + "&usersig=" + entity.getUsersig() + "&random=" + entity.getRandom() + "&contenttype=" + entity.getContenttype();
        return url;
    }


    public static <T extends IMBaseRespModel> T getResp(T t, String wxApi, WxHttpMethodEnum method, WxIMDomain wxDomain, Object entity) {
        if (null == wxDomain) {
            wxDomain = WxIMDomain.CHINA;
        }
        return IMWxHttpRequestUtils.getResp(t, wxApi, method, wxDomain.getType(), entity);
    }

    // get请求
    public static <T extends IMBaseRespModel> T getReq(T t, String wxApi, Object entity) {
        return IMWxHttpRequestUtils.getReq(t, wxApi, WxIMDomain.CHINA.getType(), entity);
    }

    // post请求
    public static <T extends IMBaseRespModel> T postReq(T t, String wxApi, Object entity) {
        return IMWxHttpRequestUtils.postReq(t, wxApi, WxIMDomain.CHINA.getType(), entity);
    }

    // 表单请求
    public static <T extends IMBaseRespModel> T formReq(T t, String wxApi, Object entity) {
        return IMWxHttpRequestUtils.formReq(t, wxApi, WxIMDomain.CHINA.getType(), entity);
    }
}
