package com.company.cloud.sdk.weixin.mini;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.sdk.weixin.mini.enums.WxMiniApiType;
import com.company.cloud.sdk.weixin.mini.model.message.CreateActivityIdModel;
import com.company.cloud.sdk.weixin.mini.model.message.CreateActivityIdResp;
import com.company.cloud.sdk.weixin.mini.model.message.SetUpdatableMsgModel;
import com.company.cloud.sdk.weixin.mini.utils.WxMiniUtils;

/**
 * 小程序动态信息API
 * */
public class WxMessageDynamicApi {


    /**
     * 创建被分享动态消息或私密消息的 activity_id
     * 参考: https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/updatable-message/updatableMessage.createActivityId.html
     */
    public static CreateActivityIdResp createActivityId(CreateActivityIdModel entity) {
        return WxMiniUtils.getReq(new CreateActivityIdResp(), WxMiniApiType.CreateActivityId.getType(), entity);
    }

    /**
     * 修改被分享的动态消息
     * 参考: https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/updatable-message/updatableMessage.setUpdatableMsg.html
     */
    public static BaseRespModel setUpdatableMsg(SetUpdatableMsgModel entity) {
        return WxMiniUtils.postReq(new BaseRespModel(), WxMiniApiType.SetUpdatableMsg.getType(), entity);
    }



}
