package com.company.cloud.sdk.weixin.mini.enums;

public class WxMiniEnum {


    public enum DistributionIndexEnum{

        /**
         *场景值参考：https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/data-analysis/analysis.getVisitDistribution.html
         */
        Source_Session_Cnt("access_source_session_cnt", "访问来源分布"),
        Staytime_Info("access_staytime_info", "访问时长分布"),
        Depth_Info("access_depth_info", "访问深度的分布")
        ;
        private String code;
        private String msg;
        private DistributionIndexEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }


    /*客服发送消息*/
    public enum KfMsgType{
        /**
         *场景值参考：https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/data-analysis/analysis.getVisitDistribution.html
         */
        Kf_Text("text", "文本消息"),
        Kf_Image("image", "图片消息"),
        Kf_Link("link", "图文链接"),
        Kf_Miniprogrampage("miniprogrampage","小程序卡片")
        ;
        private String code;
        private String msg;
        private KfMsgType(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }

    /*客服当前输入状态指令*/
    public enum KfTypingCommand{
        KF_TYPING("Typing", "对用户下发\"正在输入\"状态"),
        Kf_Cancel_Typing("CancelTyping", "取消对用户的\"正在输入\"状态")
        ;
        private String code;
        private String msg;
        private KfTypingCommand(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }



}
