package com.company.cloud.sdk.weixin.mini.model.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.AssertTrue;
import java.io.File;

@Getter
@Setter
public class MediaUploadModel extends BaseReqModel {

    /**
     *文件类型(只能传image类型)
     */
    private String type="image";

    @AssertTrue(message = "只支持image文件类型")
    private Boolean checkType(){
        if(!"image".equals(type)){
            return false;
        }
        return true;
    }

    /**
     *是 form-data 中媒体文件标识，有filename、filelength、content-type等信息
     */
    private File media;
}
