package com.company.cloud.sdk.weixin.mini.model.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import com.company.cloud.sdk.weixin.mini.enums.WxMiniEnum;
import com.company.cloud.sdk.weixin.common.utils.EnumValid;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class SetMsgTypingModel extends BaseReqModel {

    /**
     * 必传
     * 普通用户（openid）
     */
    @NotEmpty(message = "用户openid不能为空")
    private String touser;

    /**
     * 必传
     * "Typing"：对用户下发“正在输入"状态  "CancelTyping"：取消对用户的”正在输入"状态
     */
    @NotEmpty(message = "指令不能为空")
    @EnumValid(target = WxMiniEnum.KfTypingCommand.class,message = "输入状态指令不合法")
    private String command;
}
