package com.company.cloud.sdk.weixin.mini.model.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class SetUpdatableMsgModel extends BaseReqModel {


    /**
     *动态消息的 ID，通过 updatableMessage.createActivityId 接口获取
     */
    @NotEmpty(message = "消息Id不能为空")
    private String activity_id;
    /**
     *动态消息修改后的状态[0,未开始，1已开始]
     */
    @NotNull
    private Integer target_state;
    /**
     *动态消息对应的模板信息
     */
    @NotNull
    private TemplateInfo template_info;

    @Data
    public static class TemplateInfo {
        private List<Parme> parameter_list;

        @Data
        public static class Parme {
            @NotEmpty
            private String name;
            @NotEmpty
            private String value;
        }
    }


}
