package com.company.cloud.sdk.weixin.mini.utils;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.company.cloud.sdk.weixin.common.constant.WxErrorEnum;
import com.company.cloud.sdk.weixin.common.constant.WxHttpMethodEnum;
import com.company.cloud.sdk.weixin.common.exception.WxException;
import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.sdk.weixin.common.utils.WxHttpRequestUtils;
import com.company.cloud.sdk.weixin.mini.enums.WxMiniApiType;
import com.company.cloud.sdk.weixin.mini.enums.WxMiniDomain;

import java.util.Map;

public class WxMiniUtils {




    public static <T extends BaseRespModel> T getResp(T t, String wxApi, WxHttpMethodEnum method, WxMiniDomain wxDomain, Object entity) {
        if (null == wxDomain) {
            wxDomain = WxMiniDomain.CHINA;
        }
        return WxHttpRequestUtils.getResp(t, wxApi, method, wxDomain.getType(), entity);
    }

    // get请求
    public static <T extends BaseRespModel> T getReq(T t, String wxApi, Object entity) {
        return WxHttpRequestUtils.getReq(t, wxApi, WxMiniDomain.CHINA.getType(), entity);
    }

    // post请求
    public static <T extends BaseRespModel> T postReq(T t, String wxApi, Object entity) {
        return WxHttpRequestUtils.postReq(t, wxApi, WxMiniDomain.CHINA.getType(), entity);
    }

    // 表单请求
    public static <T extends BaseRespModel> T formReq(T t, String wxApi, Object entity) {
        return WxHttpRequestUtils.formReq(t, wxApi, WxMiniDomain.CHINA.getType(), entity);
    }
}
