package com.company.cloud.sdk.weixin.mp.enums;

public enum WxMpApiType {

    /**获取access_token（公众号和小程序均可以使用AppID和AppSecret调用本接口来获取access_token）*/
    Access_Token("/cgi-bin/token"),

    /**jsapi_ticket*/
    Jsapi_Ticket("/cgi-bin/ticket/getticket"),

    /**用户同意网页授权，获取code*/
    Authorize2Code("/connect/oauth2/authorize"),
    
    /**通过code换取网页授权页面access_token*/
    Code2AccessToken("/sns/oauth2/access_token"),

    /**刷新页面access_token*/
    RefreshToken("/sns/oauth2/refresh_token"),

    /**检验页面access_token*/
    AuthToken("/sns/auth"),

    /**用户信息*/
    UserInfo("/sns/userinfo"),

    /*******自定义菜单********/

    /**创建自定义菜单 */
    MenuCreate("/cgi-bin/menu/create"),
    
    /**查询自定义菜单 */
    MenuQuery("/cgi-bin/get_current_selfmenu_info"),
    
    /**删除自定义菜单 */
    MenuDelete("/cgi-bin/menu/delete"),
    
    /**创建自定义菜单 */
    PersonalizedMenuCreate("/cgi-bin/menu/addconditional"),
    
    /**删除自定义菜单 */
    PersonalizedMenuDel("/cgi-bin/menu/delconditional"),

    /**测试自定义菜单 */
    PersonalizedMenuTest("/cgi-bin/menu/trymatch"),
    
    /**获取自定义菜单配置 */
    MenuGet("/cgi-bin/menu/get"),

    /*******用户管理********/

    /**创建公众号标签 */
    TagCreate("/cgi-bin/tags/create"),
    
    /**获取公众号已创建的标签 */
    TagGet("/cgi-bin/tags/get"),
    
    /**编辑公众号标签 */
    TagUpdate("/cgi-bin/tags/update"),
    
    /**删除标签 */
    TagDel("/cgi-bin/tags/delete"),
    
    /**获取标签下粉丝列表 */
    TagUserGet("/cgi-bin/user/tag/get"),
    
    /**批量为用户打标签 */
    TagBatchTagging("/cgi-bin/tags/members/batchtagging"),
    
    /**批量为用户取消标签 */
    TagBatchUntagging("/cgi-bin/tags/members/batchuntagging"),
    
    /**获取用户身上的标签列表 */
    TagGetIdList("/cgi-bin/tags/getidlist"),
    
    /**对指定用户设置备注名 */
    UpdateUserRemark("/cgi-bin/user/info/updateremark"),
    
    /**获取用户基本信息（包括UnionID机制） */
    GetUserInfo("/cgi-bin/user/info"),
    
    /**批量获取用户基本信息 */
    BatchGetUserInfo("/cgi-bin/user/info/batchget"),
    
    /**获取帐号的关注者列表，关注者列表由一串OpenID组成 */
    ListUserOpenid("/cgi-bin/user/get"),
    
    /**获取公众号的黑名单列表 */
    BlackList("/cgi-bin/tags/members/getblacklist"),
    
    /**拉黑用户 */
    BatchBlackList("/cgi-bin/tags/members/batchblacklist"),
    
    /**取消拉黑用户 */
    BatchUnblackList("/cgi-bin/tags/members/batchunblacklist"),

    /*******素材管理********/

    /**新增临时素材 */
    MediaUpload("/cgi-bin/media/upload"),
    
    /**获取临时素材 */
    MediaGet("/cgi-bin/media/get"),
    
    /**高清语音素材获取接口 */
    MediaJssdkGet("/cgi-bin/media/get/jssdk"),
    
    /**新增永久图文素材 */
    MaterialAddNews("/cgi-bin/material/add_news"),
    
    /**上传图文消息内的图片获取URL */
    MediaUploadImg("/cgi-bin/media/uploadimg"),

    /**上传图文消息内的图片获取URL */
    MediaUploadNews("/cgi-bin/media/uploadnews"),
    
    /**上传图文消息内的图片获取URL */
    MediaUploadVideo("/cgi-bin/media/uploadvideo"),
    
    /**新增其他类型永久素材 */
    MaterialAdd("/cgi-bin/material/add_material"),
    
    /**获取永久素材 */
    MaterialGet("/cgi-bin/material/get_material"),
    
    /**删除永久素材 */
    MaterialDel("/cgi-bin/material/del_material"),
    
    /**修改永久图文素材 */
    MaterialUpdateNews("/cgi-bin/material/update_news"),
    
    /**获取素材总数 */
    MaterialCount("/cgi-bin/material/get_materialcount"),
    
    /**获取素材列表 */
    MaterialList("/cgi-bin/material/batchget_material"),

    /*******图文素材评论数据管理********/

    /**打开已群发文章评论 */
    CommentOpen("/cgi-bin/comment/open"),
    
    /**关闭已群发文章评论 */
    CommentClose("/cgi-bin/comment/close"),
    
    /**查看指定文章的评论数据 */
    CommentList("/cgi-bin/comment/list"),
    
    /**将评论标记精选 */
    CommentMarkelect("/cgi-bin/comment/markelect"),
    
    /**将评论取消精选 */
    CommentUnmarkelect("/cgi-bin/comment/unmarkelect"),
    
    /**删除评论 */
    CommentDel("/cgi-bin/comment/delete"),
    
    /**回复评论 */
    CommentReplyAdd("/cgi-bin/comment/reply/add"),
    
    /**删除回复 */
    CommentReplyDel("/cgi-bin/comment/reply/delete"),

    /*******客服帐号管理********/

    /**添加客服帐号 */
    KfAccountAdd("/customservice/kfaccount/add"),
    
    /**修改客服帐号 */
    KfAccountUpdate("/customservice/kfaccount/update"),
    
    /**删除客服帐号 */
    KfAccountDel("/customservice/kfaccount/del"),
    
    /**设置客服帐号的头像 TODO */
    KfAccountHeadImg("/customservice/kfaccount/uploadheadimg"),
    
    /**获取所有客服账号 */
    KfAccountList("/cgi-bin/customservice/getkflist"),

    /**客服接口-发消息 */
    KfMsgSend("/cgi-bin/message/custom/send"),
    
    /**客服输入状态 */
    KfTyping("/cgi-bin/message/custom/typing"),

    /*******群发消息管理********/

    /**根据标签进行群发【订阅号与服务号认证后均可用】 */
    MassSendAll("/cgi-bin/message/mass/sendall"),
    
    /**根据OpenID列表群发【订阅号不可用，服务号认证后可用】 */
    MassSend("/cgi-bin/message/mass/send"),
    
    /**删除群发【订阅号与服务号认证后均可用】 */
    MassDel("/cgi-bin/message/mass/delete"),
    
    /**预览接口【订阅号与服务号认证后均可用】该能力每日调用次数有限制（100次） */
    MassPreview("/cgi-bin/message/mass/preview"),
    
    /**查询群发消息发送状态【订阅号与服务号认证后均可用】 */
    MassStatus("/cgi-bin/message/mass/get"),
    
    /**获取群发速度 */
    MassSpeedGet("/cgi-bin/message/mass/speed/get"),
    
    /**设置群发速度 */
    MassSpeedSet("/cgi-bin/message/mass/speed/set"),
    
    /*******模版消息接口********/

    /**发送模板消息 */
    MsgTempSend("/cgi-bin/message/template/send"),

    /*******一次性订阅模版消息接口********/

    /**发送用户订阅的模版消息 */
    MsgTempSubscribe("/cgi-bin/message/template/subscribe"),

    /*******模版消息接口********/

    /**获取公众号当前使用的自动回复规则 */
    CurrentAutoReplyInfo("/cgi-bin/get_current_autoreply_info"),

    
    // 带参数的二维码
    QRCode("/cgi-bin/qrcode/create"),

    ;

    private final String type;

    WxMpApiType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    @Override
    public String toString() {
        return type;
    }

}
