package com.company.cloud.sdk.weixin.mp.enums;

/**
 * 推送事件的事件类型
 * https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Custom_Menu_Push_Events.html
 * https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Receiving_event_pushes.html
 * @author wing
 *
 */
public enum WxMsgEventType {

    // 订阅事件/未关注用户扫描带参数二维码事件
    SUBSCRIBE("subscribe"),
    // 取消订阅事件
    UNSUBSCRIBE("unsubscribe"),
    // 已关注用户扫描带参数二维码事件
    SCAN("SCAN"),
    // 扫码推事件的事件推送
    SCAN_PUSH("scancode_push"),
    // 扫码推事件且弹出“消息接收中”提示框的事件推送
    SCAN_WAIT("scancode_waitmsg"),
    // 上报地理位置事件
    LOCATION("LOCATION"),
    // 点击菜单拉取消息时的事件
    CLICK("CLICK"),
    // 点击菜单跳转链接时的事件
    VIEW("VIEW"),
    // 弹出系统拍照发图的事件推送
    PIC_SYSPHOTO("pic_sysphoto"),
    // 弹出拍照或者相册发图的事件推送
    PIC_PHOTO_ALBUM("pic_photo_or_album"),
    // 弹出微信相册发图器的事件推送
    PIC_WX("pic_weixin"),
    // 弹出地理位置选择器的事件推送
    LOCATION_SELECT("location_select"),
    // 点击菜单跳转小程序的事件推送
    VIEW_MINI("view_miniprogram"),
    // 模版消息事件推送
    TEMPLATE_SEND("TEMPLATESENDJOBFINISH"),
    // 群发消息事件推送
    MASS_SEND("MASSSENDJOBFINISH"),
    
    

    
    ;

    private final String type;

    WxMsgEventType(String type) {
        this.type = type;
    }
    
    public String getType() {
        return type;
    }

}
