package com.company.cloud.sdk.weixin.mp.enums;

/**
 * 消息事件类型
 * https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Receiving_standard_messages.html
 * @author wing
 *
 */
public enum WxMsgType {

    /**
     * 接收普通消息
     */
    TEXT("text", "文本消息"),
    IMAGE("image", "图片消息"),
    VOICE("voice", "语音消息"),
    VIDEO("video", "视频消息"),
    SHORT_VIDEO("shortvideo", "小视频消息"),
    LOCATION("location", "地理位置消息"),
    LINK("link", "链接消息"),
    NEWS("news", "图文消息"),
    MUSIC("news", "音乐消息"),
    
    /**
     * 接收事件推送
     */
    EVENT("event", "事件推送"),
    
    ;

    private final String type;

    private final String msg;
    
    WxMsgType(String type, String msg) {
        this.type = type;
        this.msg = msg;
    }
    
    public String getType() {
        return type;
    }

    public String getMsg() {
        return msg;
    }
}
