package com.company.cloud.sdk.weixin.mp.model;


import com.company.cloud.sdk.weixin.mp.enums.WxMpScope;
import lombok.Getter;
import lombok.Setter;

/**
 * 用户同意授权，获取code
 * */
@Getter
@Setter
public class Authorize2CodeModel {

    /**第三方公众号的唯一标识(是)*/
    private String appid;

    /**第三方授权后重定向的回调链接地址， 请使用 urlEncode 对链接进行处理(是)*/
    private String redirect_uri;

    /**返回类型，请填写code(是)*/
    private String response_type = "code";

    /**应用授权作用域，
     * snsapi_base （不弹出授权页面，直接跳转，只能获取用户openid），
     * snsapi_userinfo （弹出授权页面，可通过openid拿到昵称、性别、所在地。并且， 即使在未关注的情况下，只要用户授权，也能获取其信息 ）(是)
     */
    private WxMpScope scope = WxMpScope.SU;

    /**重定向后会带上state参数，开发者可以填写a-zA-Z0-9的参数值，最多128字节*/
    private String state = "";
    
    /**无论直接打开还是做页面302重定向时候，必须带此参数*/
    private String suffix = "#wechat_redirect";

}
