package com.company.cloud.sdk.weixin.mp.model;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;

import lombok.Getter;
import lombok.Setter;

// 带参数的二位码返回
// 用ticket换取二维码图片：HTTP GET请求（请使用https协议）https://mp.weixin.qq.com/cgi-bin/showqrcode?ticket=TICKET 提醒：TICKET记得进行UrlEncode
@Getter
@Setter
public class QRcodeWithParamsResp extends BaseRespModel {
    
    // 获取的二维码ticket，凭借此ticket可以在有效时间内换取二维码。
    private String ticket;

    // 该二维码有效时间，以秒为单位。 最大不超过2592000（即30天）。
    private String expire_seconds;

    // 二维码图片解析后的地址，开发者可根据该地址自行生成需要的二维码图片
    private String url;

}
