package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取素材列表
 */
@Getter
@Setter
public class MateriaListModel extends BaseReqModel {

    /**
     * 必传
     * 素材的类型，图片（image）、视频（video）、语音 （voice）、图文（news）
     */
    private String type;
    
    /**
     * 必传
     * 从全部素材的该偏移位置开始返回，0表示从第一个素材 返回
     */
    private Integer offset;
    
    /**
     * 必传
     * 返回素材的数量，取值在1到20之间
     */
    private Integer count;

    /**
     * 必传
     * Uint32 是否打开评论，0不打开，1打开
     */
    private Integer need_open_comment;
    
    /**
     * 必传
     * Uint32 是否粉丝才可评论，0所有人可评论，1粉丝才可评论
     */
    private Integer only_fans_can_comment;

}
