package com.company.cloud.sdk.weixin.mp.model.menu;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 查询自定义菜单button
 */
@Getter
@Setter
public class MenuButtonModel {

    /**
     * 菜单的类型，公众平台官网上能够设置的菜单类型有view（跳转网页）、text（返回文本，下同）、
     * img、photo、video、voice。使用API设置的则有8种，详见《自定义菜单创建接口》
     */
    private String type;

    /**
     * 菜单标题，不超过16个字节，子菜单不超过60个字节
     */
    private String name;

    /**
     * 对于不同的菜单类型，value的值意义不同。官网上设置的自定义菜单： 
     * Text:保存文字到value； Img、
     * voice：保存mediaID到value； 
     * Video：保存视频下载链接到value； 
     * News：保存图文消息到news_info，同时保存mediaID到value； 
     * View：保存链接到url。 
     * 使用API设置的自定义菜单： click、scancode_push、scancode_waitmsg、pic_sysphoto、pic_photo_or_album、 
     * pic_weixin、location_select：保存值到key；view：保存链接到url
     */
    private String value;
    private String url;
    private String key;

    /**
     * 图文消息的标题
     */
    private MenuNewsListModel news_info;

    /**
     * 二级菜单数组，个数应为1~5个
     */
    private List<MenuButtonModel> sub_button;

}
