package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 群发用于设定图文消息的接收者
 * @author wing
 *
 */
@Getter
@Setter
public class MassFilterModel {

    /**
     * 非必传
     * 用于设定是否向全部用户发送，值为true或false，选择true该消息群发给所有用户，选择false可根据tag_id发送给指定群组的用户
     */
    private Boolean is_to_all;
    
    /**
     * 非必传
     * 群发到的标签的tag_id，参见用户管理中用户分组接口，若is_to_all值为true，可不填写tag_id
     */
    private Integer tag_id;

}
