package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 预览接口【订阅号与服务号认证后均可用】
 * towxname和touser同时赋值时，以towxname优先
 * @author wing
 *
 */
@Getter
@Setter
public class MassPreviewModel extends BaseReqModel {

    /**
     * 与towxname必传其一
     * 接收消息用户对应该公众号的openid
     */
    private String touser;
    
    /**
     * 与touser必传其一
     * 接收消息用户的微信号
     */
    private String towxname;
    
    /**
     * 必传
     * 群发的消息类型，图文消息为mpnews，文本消息为text，语音为voice，音乐为music，图片为image，视频为video，卡券为wxcard
     */
    private String msgtype;
    
}
