package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 根据标签进行群发【订阅号与服务号认证后均可用】
 * @author wing
 *
 */
@Getter
@Setter
public class MassSendAllModel extends BaseReqModel {

    /**
     * 必传
     * 用于设定图文消息的接收者
     */
    private MassFilterModel filter;
    
    /**
     * 必传
     * 群发的消息类型，图文消息为mpnews，文本消息为text，语音为voice，音乐为music，图片为image，视频为video，卡券为wxcard
     */
    private String msgtype;
    
    /**
     * 非必传
     * 图文消息被判定为转载时，是否继续群发。 1为继续群发（转载），0为停止群发。 该参数默认为0。
     */
    private Integer send_ignore_reprint;

    /**
     * 非必传
     * 使用 clientmsgid 参数，避免重复推送
     * 开发者侧群发msgid，长度限制64字节，如不填，则后台默认以群发范围和群发内容的摘要值做为clientmsgid
     */
    private String clientmsgid;
}
