package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * 接收消息通用字段
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
//@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "toUserName",   
   "fromUserName",   
   "createTime",   
   "msgType",   
})
public class MsgModel {

    /**
     * 开发者微信号/接收方帐号（收到的OpenID）
     */
    @XmlElement(name = "ToUserName")
    private String toUserName;

    /**
     * 发送方帐号（一个OpenID）/开发者微信号
     */
    @XmlElement(name = "FromUserName")
    private String fromUserName;

    /**
     * 消息创建时间 （整型）
     */
    @XmlElement(name = "CreateTime")
    private Long createTime;

    /**
     * 消息类型{WxMsgType}
     */
    @XmlElement(name = "MsgType")
    private String msgType;
}
