package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 上报地理位置事件
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "latitude",
   "longitude",
   "precision"
})
public class ReceiveEventLocationModel extends ReceiveEventModel {

    // 地理位置纬度
    @XmlElement(name = "Latitude")
    private String latitude;
    
    // 地理位置经度
    @XmlElement(name = "Longitude")
    private String longitude;
    
    // 地理位置精度
    @XmlElement(name = "Precision")
    private String precision;
}
