package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 事件类型为location_select：弹出地理位置选择器的事件推送
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "eventKey",
   "sendLocationInfo",
   "locationX",
   "locationY",
   "scale",
   "label",
   "poiname"
})
public class ReceiveEventLocationSelectModel extends ReceiveEventModel {

    /**
     * 事件KEY值，由开发者在创建菜单时设定
     */
    @XmlElement(name = "EventKey")
    private String eventKey;
    
    /**
     * 发送的位置信息
     */
    @XmlElement(name = "SendLocationInfo")
    private String sendLocationInfo;
    
    /**
     * X坐标信息
     */
    @XmlElement(name = "Location_X")
    private String locationX;
    
    /**
     * Y坐标信息
     */
    @XmlElement(name = "Location_Y")
    private String locationY;
    
    /**
     * 精度，可理解为精度或者比例尺、越精细的话 scale越高
     */
    @XmlElement(name = "Scale")
    private String scale;
    
    /**
     * 地理位置的字符串信息
     */
    @XmlElement(name = "Label")
    private String label;
    
    /**
     * 朋友圈POI的名字，可能为空
     */
    @XmlElement(name = "Poiname")
    private String poiname;
}
