package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 自定义菜单事件
 * 事件类型为CLICK：点击菜单跳转链接时的事件推送
 * 事件类型为VIEW：点击菜单跳转小程序的事件推送
 * 事件类型为view_miniprogram：点击菜单跳转小程序的事件推送
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "eventKey",
   "menuID"
})
public class ReceiveEventMenuModel extends ReceiveEventModel {

    /**
     * 1.点击菜单拉取消息时的事件推送：事件KEY值，与自定义菜单接口中KEY值对应<span/>
     * 2.点击菜单跳转链接时的事件推送：事件KEY值，设置的跳转URL
     */
    @XmlElement(name = "EventKey")
    private String eventKey;

    /**
     * 指菜单ID，如果是个性化菜单，则可以通过这个字段，知道是哪个规则的菜单被点击了
     */
    @XmlElement(name = "MenuID")
    private String menuID;
}
