package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 事件类型为pic_sysphoto：弹出系统拍照发图的事件推送
 * 事件类型为pic_photo_or_album：弹出拍照或者相册发图的事件推送
 * 事件类型为pic_weixin：弹出微信相册发图器的事件推送
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "eventKey",
   "sendPicsInfo",
   "count",
   "picList",
   "picMd5Sum"
})
public class ReceiveEventPicModel extends ReceiveEventModel {

    /**
     * 事件KEY值，由开发者在创建菜单时设定
     */
    @XmlElement(name = "EventKey")
    private String eventKey;
    
    /**
     * 发送的图片信息
     */
    @XmlElement(name = "SendPicsInfo")
    private String sendPicsInfo;
    
    /**
     * 发送的图片数量
     */
    @XmlElement(name = "Count")
    private String count;
    
    /**
     * 图片列表
     */
    @XmlElement(name = "PicList")
    private String picList;
    
    /**
     * 图片的MD5值，开发者若需要，可用于验证接收到图片
     */
    @XmlElement(name = "PicMd5Sum")
    private String picMd5Sum;
}
