package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 事件类型为scancode_push：扫码推事件的事件推送
 * 事件类型为scancode_waitmsg：扫码推事件且弹出“消息接收中”提示框的事件推送
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "eventKey",
   "scanCodeInfo",
   "scanType",
   "scanResult"
})
public class ReceiveEventScanCodeModel extends ReceiveEventModel {

    /**
     * 事件KEY值，由开发者在创建菜单时设定
     */
    @XmlElement(name = "EventKey")
    private String eventKey;
    
    /**
     * 扫描信息
     */
    @XmlElement(name = "ScanCodeInfo")
    private String scanCodeInfo;
    
    /**
     * 扫描类型，一般是qrcode
     */
    @XmlElement(name = "ScanType")
    private String scanType;
    
    /**
     * 扫描结果，即二维码对应的字符串信息
     */
    @XmlElement(name = "ScanResult")
    private String scanResult;
}
