package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 关注/取消关注事件
 * 用户扫描带参数二维码事件也会触发此实体类
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "eventKey",
   "ticket"
})
public class ReceiveEventSubscribeModel extends ReceiveEventModel {

    /**
     * 未关注用户扫描带参数二维码：事件KEY值，qrscene_为前缀，后面为二维码的参数值<span/>
     * 已关注用户扫描带参数二维码：是一个32位无符号整数，即创建二维码时的二维码scene_id
     */
    @XmlElement(name = "EventKey")
    private String eventKey;
    
    /**
     * 用户扫描带参数二维码<span/>
     * 二维码的ticket，可用来换取二维码图片
     */
    @XmlElement(name = "Ticket")
    private String ticket;
}
