package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 在模版消息发送任务完成后，微信服务器会将是否送达成功作为通知，发送到开发者中心中填写的服务器配置地址中
 * 事件类型为TEMPLATESENDJOBFINISH
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "msgID",
   "status"
})
public class ReceiveEventTempMsgModel extends ReceiveEventModel {

    /**
     * 消息id
     */
    @XmlElement(name = "MsgID")
    private String msgID;

    /**
     * 发送状态
     * success: 送达成功时
     * failed:user block: 送达由于用户拒收（用户设置拒绝接收公众号消息）而失败
     * failed: system failed: 送达由于其他原因失败
     */
    @XmlElement(name = "Status")
    private String status;
}
