package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 接收消息通用类
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
   "event",
   "msgId",   
})
public class ReceiveModel extends MsgModel {

    /**
     * 事件类型{WxMsgEventType}
     */
    @XmlElement(name = "Event")
    private String event;

    // 消息id，64位整型
    @XmlElement(name = "MsgId")
    private String msgId;
}
