package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 接收的链接消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "title",   
   "description",   
   "url",   
})
public class ReceiveMsgLinkModel extends ReceiveMsgModel {

    /**
     * 消息标题
     */
    @XmlElement(name = "Title")
    private String title;

    /**
     * 消息描述
     */
    @XmlElement(name = "Description")
    private String description;
    
    /**
     * 消息链接
     */
    @XmlElement(name = "Url")
    private String url;
}
