package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 接收的地理位置消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "locationX",   
   "locationY",   
   "scale",   
   "label",   
})
public class ReceiveMsgLocationModel extends ReceiveMsgModel {

    // 地理位置纬度
    @XmlElement(name = "Location_X")
    private String locationX;

    // 地理位置经度
    @XmlElement(name = "Location_Y")
    private String locationY;
    
    // 地图缩放大小
    @XmlElement(name = "Scale")
    private String scale;
    
    // 地理位置信息
    @XmlElement(name = "Label")
    private String label;
}
