package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 接收的文本消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "content",   
   "bizmsgmenuid",   
})
public class ReceiveMsgTextModel extends ReceiveMsgModel {

    // 文本消息内容/点击的菜单名
    @XmlElement(name = "Content")
    private String content;
    
    // 点击的菜单ID
    @XmlElement(name = "bizmsgmenuid")
    private String bizmsgmenuid;

}
