package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 接收的视频与小视频消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "mediaId",   
   "thumbMediaId",   
})
public class ReceiveMsgVideoModel extends ReceiveMsgModel {

    // 视频消息媒体id，可以调用获取临时素材接口拉取数据。
    @XmlElement(name = "MediaId")
    private String mediaId;

    // 视频消息缩略图的媒体id，可以调用多媒体文件下载接口拉取数据。
    @XmlElement(name = "ThumbMediaId")
    private String thumbMediaId;
}
