package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 接收的语音消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "mediaId",   
   "format",   
   "recognition",   
})
public class ReceiveMsgVoiceModel extends ReceiveMsgModel {

    // 语音消息媒体id，可以调用获取临时素材接口拉取数据。
    @XmlElement(name = "MediaId")
    private String mediaId;

    // 语音格式，如amr，speex等
    @XmlElement(name = "Format")
    private String format;
    
    // 开通语音识别后才会出现
    @XmlElement(name = "Recognition")
    private String recognition;
}
