package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 回复图片消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "image",   
})
public class ReplyMsgImgModel extends MsgModel {

    @XmlElement(name = "Image")
    private Image image;

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)  
    @XmlType(propOrder = {"mediaId"})
    public static class Image {
        // 通过素材管理中的接口上传多媒体文件，得到的id
        @XmlElement(name = "MediaId")
        private String mediaId;
    }
}
