package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 回复音乐消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "music",   
})
public class ReplyMsgMusicModel extends MsgModel {

    @XmlElement(name = "Music")
    private Music music;

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)  
    @XmlType(propOrder = {"title", "description", "musicURL", "hqMusicUrl", "thumbMediaId"})
    public static class Music {
        // 音乐标题
        @XmlElement(name = "Title")
        private String title;
        // 音乐描述
        @XmlElement(name = "Description")
        private String description;
        // 音乐链接
        @XmlElement(name = "MusicURL")
        private String musicURL;
        // 高质量音乐链接，WIFI环境优先使用该链接播放音乐
        @XmlElement(name = "HQMusicUrl")
        private String hqMusicUrl;
        // 缩略图的媒体id，通过素材管理中的接口上传多媒体文件，得到的id
        @XmlElement(name = "ThumbMediaId")
        private String thumbMediaId;
    }
}
