package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 回复视频消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "video",
})
public class ReplyMsgVideoModel extends MsgModel {

    @XmlElement(name = "Video")
    private Video video;

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)  
    @XmlType(propOrder = {"mediaId", "title", "description"})
    public static class Video {
        // 通过素材管理中的接口上传多媒体文件，得到的id
        @XmlElement(name = "MediaId")
        private String mediaId;
        // 视频消息的标题
        @XmlElement(name = "Title")
        private String title;
        // 视频消息的描述
        @XmlElement(name = "Description")
        private String description;
    }
}
