package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 回复语音消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "voice",   
})
public class ReplyMsgVoiceModel extends MsgModel {

    @XmlElement(name = "Voice")
    private Voice voice;

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)  
    @XmlType(propOrder = {"mediaId"})
    public static class Voice {
        // 通过素材管理中的接口上传多媒体文件，得到的id
        @XmlElement(name = "MediaId")
        private String mediaId;
    }
}
