package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 客服发送小程序卡片（要求小程序与公众号已关联）
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgMiniModel extends SendMsgModel {

    /**
     * 必传
     * 小程序信息
     */
    private MiniContent miniprogrampage;

    @Getter
    @Setter
    public static class MiniContent {

        /**
         * 必传
         * 小程序卡片的标题
         */
        private String title;
        
        /**
         * 必传
         * 小程序的appid，要求小程序的appid需要与公众号有关联关系
         */
        private String appid;
        
        /**
         * 必传
         * 小程序的页面路径，跟app.json对齐，支持参数，比如pages/index/index?foo=bar
         */
        private String pagepath;
        
        /**
         * 必传
         * 小程序卡片图片的媒体ID，小程序卡片图片建议大小为520*416
         */
        private String thumb_media_id;
    }
}
