package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 客服发送图文消息（点击跳转到外链） 图文消息条数限制在1条以内，注意，如果图文数超过1，则将会返回错误码45008
 * 
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgNewsModel extends SendMsgModel {

    /**
     * 必传
     * 图文消息（点击跳转到外链）内容
     */
    private NewsContent news;

    @Getter
    @Setter
    public static class NewsContent {

        /**
         * 必传
         * 发送图文消息（点击跳转到外链） 图文消息条数限制在1条以内
         */
        private List<ArticlesContent> articles;

        @Getter
        @Setter
        public static class ArticlesContent {

            /**
             * 非必传
             * 图文消息的标题
             */
            private String title;

            /**
             * 非必传
             * 图文消息的描述
             */
            private String description;
            
            /**
             * 非必传
             * 图文消息被点击后跳转的链接
             */
            private String url;
            
            /**
             * 非必传
             * 图文消息的图片链接，支持JPG、PNG格式，较好的效果为大图640*320，小图80*80
             */
            private String picurl;
        }
        
    }
}
