package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import cn.hutool.core.util.StrUtil;
import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * 模版消息
 * url和miniprogram都是非必填字段，若都不传则模板无跳转；若都传，会优先跳转至小程序
 * 当用户的微信客户端版本不支持跳小程序时，将会跳转至url
 * @author wing
 *
 */
@Getter
@Setter
public class SendTempMsgModel{

    /**
     * 必传
     * 接收用户openid
     */
    private String touser;

    /**
     * 必传
     * 模板ID
     */
    private String template_id;

    /**
     * 非必传
     * 模板跳转链接（海外帐号没有跳转能力）
     */
    private String url;
    
    /**
     * 非必传
     * 跳小程序所需数据，不需跳小程序可不用传该数据
     */
    private SendTempMsgMiniProgramModel miniprogram;

    /**
     * 必传
     * 模板数据
     */
    private Map<String, SendTempMsgDataModel> data;



    public void addData(String key,String value){
        if(StrUtil.isNotEmpty(key) && StrUtil.isNotEmpty(value)){
            this.addData(key,new SendTempMsgDataModel(value));
        }
    }

    public void addData(String key,SendTempMsgDataModel value){
        if(this.data==null){
            this.data=new HashMap<String, SendTempMsgDataModel>();
        }
        if(StrUtil.isNotEmpty(key) && value!=null){
            this.data.put(key,value);
        }
    }

}
