package com.company.cloud.sdk.weixin.mp.utils;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;

import com.company.cloud.sdk.weixin.mp.enums.WxMpApiType;
import com.company.cloud.sdk.weixin.mp.enums.WxMpDomain;
import com.company.cloud.sdk.weixin.common.constant.WxErrorEnum;
import com.company.cloud.sdk.weixin.common.constant.WxHttpMethodEnum;
import com.company.cloud.sdk.weixin.common.exception.WxException;
import com.company.cloud.sdk.weixin.common.model.BaseRespModel;

import java.util.Map;

public class WxMpUtils {

    public static String getReqUrl(WxMpApiType wxMpApiType){
        return getReqUrl(wxMpApiType,null);
    }

    public static String getReqUrl(WxMpApiType wxMpApiType, WxMpDomain wxMpDomain){
        if(wxMpDomain==null){
            wxMpDomain=WxMpDomain.CHINA;
        }
        return  wxMpDomain.getType().concat(wxMpApiType.getType());
    }



    @Deprecated
    public static String req(WxMpApiType type, WxHttpMethodEnum method, WxMpDomain wxMpDomain, Map<String, Object> params) {
        try {
            String url = WxMpUtils.getReqUrl(type, wxMpDomain);
            System.out.println(url);
            if (WxHttpMethodEnum.POST.equals(method)) {
                return HttpUtil.post(url, params);
            }
            return HttpUtil.get(url, params);
        } catch (Exception e) {
            throw new WxException(WxErrorEnum.WX_Http_ERROR.getCode(), e.getMessage());
        }
    }

    @Deprecated
    public static <T extends BaseRespModel> T getResp(T t, WxMpApiType type, WxHttpMethodEnum method, WxMpDomain wxMpDomain, Map<String, Object> params) {
        String result = WxMpUtils.req(type, method, wxMpDomain, params);
        if (StrUtil.isEmpty(result)) {
            throw new WxException(WxErrorEnum.WX_Http_ERROR);
        }
        Map<String, Object> resultMap = JSON.parseObject(result, Map.class);
        T data = BeanUtil.fillBeanWithMapIgnoreCase(resultMap, t, false);
        if (data.getErrcode() != null && data.getErrcode() != 0) {
            throw new WxException(data.getErrcode(), data.getErrmsg());
        }
        return data;
    }


    @Deprecated
    public static <T extends BaseRespModel> T convertResp(String result,T t) {
        if (StrUtil.isEmpty(result)) {
            throw new WxException(WxErrorEnum.WX_Http_ERROR);
        }
        Map<String, Object> resultMap = JSON.parseObject(result, Map.class);
        T data = BeanUtil.fillBeanWithMapIgnoreCase(resultMap, t, false);
        // if (data.getErrcode() != null && data.getErrcode() != 0) {
        //     throw new WxException(data.getErrcode(), data.getErrmsg());
        // }
        return data;
    }



    @Deprecated
    // get请求
    public static <T extends BaseRespModel> T getReq(T t, WxMpApiType type, Map<String, Object> params) {
        return WxMpUtils.getResp(t, type, WxHttpMethodEnum.GET, null, params);
    }

    @Deprecated
    // post请求
    public static <T extends BaseRespModel> T postReq(T t, WxMpApiType type, Map<String, Object> params) {
        return WxMpUtils.getResp(t, type, WxHttpMethodEnum.POST, null, params);
    }
}
