package com.company.cloud.sdk.weixin.open;

import cn.hutool.http.HttpUtil;
import com.company.cloud.sdk.weixin.open.enums.WxOpenApiType;
import com.company.cloud.sdk.weixin.open.enums.WxOpenDomain;
import com.company.cloud.sdk.weixin.open.model.ComponentAccessTokenRequest;
import com.company.cloud.sdk.weixin.open.model.ComponentAccessTokenResp;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.company.cloud.sdk.weixin.common.constant.WxErrorEnum;
import com.company.cloud.sdk.weixin.common.exception.WxException;

public class WxOpenApi {

    public static String getReqUrl(WxOpenApiType wxOpenApiType){
        return getReqUrl(wxOpenApiType,null);
    }

    public static String getReqUrl(WxOpenApiType wxOpenApiType, WxOpenDomain wxOpenDomain){
        if(wxOpenDomain==null){
            wxOpenDomain=WxOpenDomain.CHINA;
        }
        return  wxOpenDomain.getType().concat(wxOpenApiType.getType());
    }


    /**
     * 通过微信后台推送的ticket(component_verify_ticket)换取第三方平台接口的调用凭据(component_access_token)
     */
    public static ComponentAccessTokenResp getComponentAccessToken(ComponentAccessTokenRequest req){
        try {
            String url = getReqUrl(WxOpenApiType.Component_Access_Token);
            String httpResp = HttpUtil.post(url, JSON.toJSONString(req));
            ComponentAccessTokenResp resp = JSONObject.parseObject(httpResp, ComponentAccessTokenResp.class);
            if (resp.getErrcode() != 0) {
                throw new WxException(resp.getErrcode(), resp.getErrmsg());
            }
            return resp;
        }catch (Exception e){
            throw new WxException(WxErrorEnum.WX_Http_ERROR.getCode(),e.getMessage());
        }
    }




}
