package com.company.cloud.sdk.weixin.open.model;

import lombok.Getter;
import lombok.Setter;

/**
 * 接收关注用户事件推送数据
 * @author wing
 */
@Getter
@Setter
public class ComponentUserEventFullModel {

    /**
     * 开发者微信号/接收方帐号（收到的OpenID）
     */
    private String toUserName;
    /**
     * 发送方帐号（一个OpenID）/开发者微信号
     */
    private String fromUserName;
    /**
     * 消息创建时间 （整型）
     */
    private Long createTime;
    /**
     * 消息类型{WxMsgType}
     */
    private String msgType;



    /**
     * 事件类型{WxMsgEventType}
     */
    private String event;
    /**
     * 未关注用户扫描带参数二维码：事件KEY值，qrscene_为前缀，后面为二维码的参数值<span/>
     * 已关注用户扫描带参数二维码：是一个32位无符号整数，即创建二维码时的二维码scene_id
     */
    private String eventKey;
    /**
     * 用户扫描带参数二维码<span/>
     * 二维码的ticket，可用来换取二维码图片
     */
    private String ticket;



    /**
     * 扫描信息
     */
    private String scanCodeInfo;
    /**
     * 扫描类型，一般是qrcode
     */
    private String scanType;
    /**
     * 扫描结果，即二维码对应的字符串信息
     */
    private String scanResult;
}
