package com.company.cloud.sdk.weixin.open.model;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * 接收事件推送通用字段
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = { 
   "appId",
   "createTime",
   "infoType",
   "componentVerifyTicket"
})
public class ComponentVerifyTicketModel {
    
    // 第三方平台 appid
    @XmlElement(name = "AppId")
    private String appId;

    // 消息创建时间 （整型）
    @XmlElement(name = "CreateTime")
    private Long createTime;

    // 固定为："component_verify_ticket"
    @XmlElement(name = "InfoType")
    private String infoType;

    // Ticket 内容
    @XmlElement(name = "ComponentVerifyTicket")
    private String componentVerifyTicket;

}
