package com.company.cloud.wx.sdk.work.enums;
/**
 * 企业微信:
 * */
public enum WxWorkCustomerApiType {

    /**
     * 企业服务人员管理
     */
    FOLLOW_USER_LIST("/cgi-bin/externalcontact/get_follow_user_list"),
    ADD_CONTACT_WAY("/cgi-bin/externalcontact/add_contact_way"),
    GET_CONTACT_WAY("/cgi-bin/externalcontact/get_contact_way"),
    UPDATE_CONTACT_WAY("/cgi-bin/externalcontact/update_contact_way"),
    DEL_CONTACT_WAY("/cgi-bin/externalcontact/del_contact_way"),
    CLOSE_CHAT("/cgi-bin/externalcontact/close_temp_chat"),

    /**
     * 客户管理
     */
    CUSTOMER_LIST("/cgi-bin/externalcontact/list"),
    CUSTOMER_GET("/cgi-bin/externalcontact/get"),
    CUSTOMER_BATCH_GET("/cgi-bin/externalcontact/batch/get_by_user"),
    CUSTOMER_REMARK("/cgi-bin/externalcontact/remark"),
    CUSTOMER_MOBILE_HASHCODE("/cgi-bin/user/get_mobile_hashcode"),

    /**
     * 客户标签管理
     */
    CUSTOMER_TAG_LIST("/cgi-bin/externalcontact/get_corp_tag_list"),
    CUSTOMER_TAG_ADD("/cgi-bin/externalcontact/add_corp_tag"),
    CUSTOMER_TAG_UPDATE("/cgi-bin/externalcontact/edit_corp_tag"),
    CUSTOMER_TAG_DEL("/cgi-bin/externalcontact/del_corp_tag"),
    CUSTOMER_TAG_MARK("/cgi-bin/externalcontact/mark_tag"),

    /**
     * 客户分配
     */
    TRANSFER_CUSTOMER("/cgi-bin/externalcontact/transfer_customer"),
    TRANSFER_RESULT("/cgi-bin/externalcontact/transfer_result"),
    TRANSFER_USER_LIST("/cgi-bin/externalcontact/get_unassigned_list"),
    RESIGNED_TRANSFER_CUSTOMER("/cgi-bin/externalcontact/resigned/transfer_customer"),
    RESIGNED_TRANSFER_RESULT("/cgi-bin/externalcontact/resigned/transfer_result"),
    TRANSFER_GROUP("/cgi-bin/externalcontact/groupchat/transfer"),
    TRANSFER_USER("/cgi-bin/externalcontact/transfer"),


    /**
     * 客户群管理
     */
    GROUP_LIST("/cgi-bin/externalcontact/groupchat/list"),
    GROUP_GET("/cgi-bin/externalcontact/groupchat/get"),

    /**
     * 客户朋友圈
     */
    MOMENT_LIST("/cgi-bin/externalcontact/get_moment_list"),
    MOMENT_TASK("/cgi-bin/externalcontact/get_moment_task"),
    MOMENT_CUSTOMER_LIST("/cgi-bin/externalcontact/get_moment_customer_list"),
    MOMENT_RESULT("/cgi-bin/externalcontact/get_moment_send_result"),
    MOMENT_COMMENTS("/cgi-bin/externalcontact/get_moment_comments"),

    /**
     * 消息推送
     */
    MSG_ADD("/cgi-bin/externalcontact/add_msg_template"),
    MSG_LIST("/cgi-bin/externalcontact/get_groupmsg_list"),
    MSG_TASK("/cgi-bin/externalcontact/get_groupmsg_task"),
    MSG_RESULT("/cgi-bin/externalcontact/get_groupmsg_send_result"),
    MSG_WELCOME_SEND("/cgi-bin/externalcontact/send_welcome_msg"),
    MSG_WELCOME_ADD("/cgi-bin/externalcontact/group_welcome_template/add"),
    MSG_WELCOME_UPDATE("/cgi-bin/externalcontact/group_welcome_template/edit"),
    MSG_WELCOME_GET("/cgi-bin/externalcontact/group_welcome_template/get"),
    MSG_WELCOME_DEL("/cgi-bin/externalcontact/group_welcome_template/del"),

    /**
     * 统计管理
     */
    STATISTIC_USER("/cgi-bin/externalcontact/get_user_behavior_data"),
    STATISTIC_GROUP("/cgi-bin/externalcontact/groupchat/statistic"),
    STATISTIC_GROUP_BY_DAY("/cgi-bin/externalcontact/groupchat/statistic_group_by_day"),

    ;

    private final String type;

    WxWorkCustomerApiType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
