package com.company.cloud.wx.sdk.work.inner.model;


import lombok.Getter;
import lombok.Setter;

/**
 * 用户同意授权，获取code
 * */
@Getter
@Setter
public class Authorize2CodeModel {

    /**第三方公众号的唯一标识(是)*/
    private String appId;

    /**第三方授权后重定向的回调链接地址， 请使用 urlEncode 对链接进行处理(是)*/
    private String redirectUri;

    /**返回类型，请填写code(是)*/
    private String responseType = "code";

    /**应用授权作用域，
     * snsapi_base （不弹出授权页面，直接跳转，只能获取用户openid），
     * snsapi_userinfo （弹出授权页面，可通过openid拿到昵称、性别、所在地。并且， 即使在未关注的情况下，只要用户授权，也能获取其信息 ）(是)
     */
    private String scope = "snsapi_userinfo";

    /**重定向后会带上state参数，开发者可以填写a-zA-Z0-9的参数值，最多128字节*/
    private String state = "";
    
    /**应用agentid，建议填上该参数（对于第三方应用和代开发自建应用，在填写该参数的情况下或者在工作台、聊天工具栏、应用会话内发起oauth2请求的场景中，会触发接口许可的自动激活）。snsapi_privateinfo时必填否则报错*/
    private Long agentId;
    
    /**无论直接打开还是做页面302重定向时候，必须带此参数*/
    private String suffix = "#wechat_redirect";

}
