package com.company.cloud.wx.sdk.work.inner.model;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;

import lombok.Getter;
import lombok.Setter;

// touser、toparty、totag不能同时为空
@Getter
@Setter
public class MessageSendVideoModel extends BaseReqModel {

    // 指定接收消息的成员，成员ID列表（多个接收者用‘|’分隔，最多支持1000个）。
    // 特殊情况：指定为"@all"，则向该企业应用的全部成员发送
    private String touser;

    // 指定接收消息的部门，部门ID列表，多个接收者用‘|’分隔，最多支持100个。
    // 当touser为"@all"时忽略本参数
    private String toparty;

    // 指定接收消息的标签，标签ID列表，多个接收者用‘|’分隔，最多支持100个。
    // 当touser为"@all"时忽略本参数
    private String totag;

    // 消息类型，此时固定为：video
    // @NotNull
    private String msgtype;

    // 企业应用的id，整型。企业内部开发，可在应用的设置页面查看；第三方服务商，可通过接口 获取企业授权信息 获取该参数值
    // @NotNull
    private Long agentid;

    // 消息内容
    // @NotNull
    private Video video;

    // 表示是否是保密消息，0表示可对外分享，1表示不能分享且内容显示水印，默认为0
    private String safe;

    // 表示是否开启重复消息检查，0表示否，1表示是，默认0
    private String enable_duplicate_check;

    // 表示是否重复消息检查的时间间隔，默认1800s，最大不超过4小时
    private String duplicate_check_interval;

    /**
     * 消息内容
     */
    @Getter
    @Setter
    public static class Video {
        // 视频媒体文件id，可以调用上传临时素材接口获取
        private String media_id;
        // 视频消息的标题，不超过128个字节，超过会自动截断
        private String title;
        // 视频消息的描述，不超过512个字节，超过会自动截断
        private String description;
    }
}
