package com.company.cloud.wx.sdk.work.intra;


import com.company.cloud.wx.sdk.work.enums.WxWorkApiType;
import com.company.cloud.wx.sdk.work.model.common.AccessTokenModel;
import com.company.cloud.wx.sdk.work.model.common.AccessTokenResp;
import com.company.cloud.wx.sdk.work.utils.WxWorkUtils;
import com.company.cloud.wx.sdk.work.model.common.Code2SessionModel;
import com.company.cloud.wx.sdk.work.model.common.Code2SessionResp;

/**
 * 企业微信基础服务API(企业内部开发)
 */
public class WxWorkCommonApi {

    /**
     * 获取access_token
     */
    public static AccessTokenResp accessToken(AccessTokenModel entity) {
        return WxWorkUtils.getReq(new AccessTokenResp(), WxWorkApiType.Access_Token.getType(), entity);
    }


    /**
     * code2Session
     * 临时登录凭证校验
     * https://work.weixin.qq.com/api/doc/90000/90136/91507
     * */
    public static Code2SessionResp code2Session(Code2SessionModel entity){
        return WxWorkUtils.getReq(new Code2SessionResp(), WxWorkApiType.Code2Session.getType(), entity);
    }








}
