package com.company.cloud.wx.sdk.work.model.agentmanage;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

import java.util.Map;

@Data
public class GetAgentInfoResp extends BaseRespModel {
    /**
    *企业应用id
    */
    private String agentid;
    /**
    *企业应用名称
    */
    private String name;
    /**
    *企业应用方形头像
    */
    private String square_logo_url;
    /**
    *企业应用详情
    */
    private String description;
    /**
    *企业应用可见范围（人员），其中包括userid
    */
    private AllowUserInfo allow_userinfos;
    /**
    *企业应用可见范围（部门）
    */
    private AllowParty allow_partys;
    /**
    *企业应用可见范围（标签）
    */
    private AllowTag allow_tags;

    /**
    *企业应用是否被停用
    */
    private String close;
    /**
    *企业应用可信域名
    */
    private String redirect_domain;
    /**
    *企业应用是否打开地理位置上报 0：不上报；1：进入会话上报；
    */
    private String report_location_flag;
    /**
    *是否上报用户进入应用事件。0：不接收；1：接收
    */
    private String isreportenter;
    /**
    *应用主页url
    */
    private String home_url;

    @Data
    private class AllowUserInfo {
        private Map<String,String> user;
    }

    @Data
    private class AllowParty {
        private String[] partyid;
    }

    @Data
    private class AllowTag {
        private String[] tagid;
    }
}
