package com.company.cloud.wx.sdk.work.model.authorize;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.wx.sdk.work.model.authorize.permanent.*;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class PermanentCodeResp extends BaseRespModel {

    /**
     * 授权方（企业）access_token,最长为512字节
     */
    private String access_token;

    /**
     * 授权方（企业）access_token超时时间（秒）
     */
    private String expires_in;

    /**
     * 企业微信永久授权码,最长为512字节
     */
    private String permanent_code;

    /**
     * 代理服务商企业信息。应用被代理后才有该信息
     */
    private DealerCorpInfo dealer_corp_info;

    /**
     * 授权方企业信息
     */
    private AuthCorpInfo auth_corp_info;

    /**
     * 授权信息。如果是通讯录应用，且没开启实体应用，是没有该项的。通讯录应用拥有企业通讯录的全部信息读写权限
     */
    private AuthInfo auth_info;

    /**
     * 授权管理员的信息，可能不返回（企业互联由上级企业共享第三方应用给下级时，不返回授权的管理员信息）
     */
    private AuthUserInfo auth_user_info;

    /**
     * 推广二维码安装相关信息，扫推广二维码安装时返回。（注：无论企业是否新注册，只要通过扫推广二维码安装，都会返回该字段）
     */
    private RegisterCodeInfo register_code_info;

}
