package com.company.cloud.wx.sdk.work.model.authorize.permanent;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 授权的应用信息，注意是一个数组，但仅旧的多应用套件授权时会返回多个agent，对新的单应用授权，永远只返回一个agent
 */
@Getter
@Setter
public class Agent {

    /**
     * 授权方应用id
     */
    private String agentid;

    /**
     * 授权方应用名字
     */
    private String name;

    /**
     * 授权方应用圆形头像
     */
    private String round_logo_url;

    /**
     * 授权方应用方形头像
     */
    private String square_logo_url;

    /**
     * 旧的多应用套件中的对应应用id，新开发者请忽略
     */
    private String appid;

    /**
     * 授权模式，0为管理员授权；1为成员授权
     */
    private String auth_mode;

    /**
     * 是否为代开发自建应用
     */
    private String is_customized_app;

    /**
     * 是否为代开发自建应用
     */
    private Privilege privilege;


    /**
     * 是否为代开发自建应用
     */
    private SharedFrom shared_from;

}
