package com.company.cloud.wx.sdk.work.model.authorize.permanent;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 应用对应的权限
 */
@Getter
@Setter
public class Privilege {

    /**
     * 权限等级。
     * 1:通讯录基本信息只读
     * 2:通讯录全部信息只读
     * 3:通讯录全部信息读写
     * 4:单个基本信息只读
     * 5:通讯录全部信息只写
     */
    private Integer level;
    /**
     * 应用可见范围（部门）
     */
    private List<Integer> allow_party;
    /**
     * 应用可见范围（成员）
     */
    private List<String> allow_user;
    /**
     * 应用可见范围（标签）
     */
    private List<Integer> allow_tag;
    /**
     * 额外通讯录（部门）
     */
    private List<Integer> extra_party;
    /**
     * 额外通讯录（成员）
     */
    private List<String> extra_user;
    /**
     * 额外通讯录（标签）
     */
    private List<String> extra_tag;

}
