package com.company.cloud.wx.sdk.work.model.externalcontact.customer;

import com.company.cloud.wx.sdk.work.model.ExternalProfileModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CustomerModel {

    /**
     * 外部联系人的userid
     */
    private String external_userid;

    /**
     * 外部联系人的名称
     * 如果外部联系人为微信用户，则返回外部联系人的名称为其微信昵称；如果外部联系人为企业微信用户，则会按照以下优先级顺序返回：
     * 此外部联系人或管理员设置的昵称、认证的实名和账号名称
     */
    private String name;

    /**
     * 外部联系人头像，第三方不可获取
     */
    private String avatar;

    /**
     * 外部联系人的类型，1表示该外部联系人是微信用户，2表示该外部联系人是企业微信用户
     */
    private Integer type;

    /**
     * 外部联系人性别 0-未知 1-男性 2-女性
     */
    private Integer gender;

    /**
     * 外部联系人在微信开放平台的唯一身份标识（微信unionid），通过此字段企业可将外部联系人与公众号/小程序用户关联起来。
     * 仅当联系人类型是微信用户，且企业或第三方服务商绑定了微信开发者ID有此字段
     * <p>
     * 关于返回的unionid，如果是第三方应用调用该接口，则返回的unionid是该第三方服务商所关联的微信开发者帐号下的unionid。
     * 也就是说，同一个企业客户，企业自己调用，与第三方服务商调用，所返回的unionid不同；不同的服务商调用，所返回的unionid也不同。
     */
    private String unionid;

    /**
     * 外部联系人的职位，如果外部企业或用户选择隐藏职位，则不返回，仅当联系人类型是企业微信用户时有此字段
     */
    private String position;

    /**
     * 外部联系人所在企业的简称，仅当联系人类型是企业微信用户时有此字段
     */
    private String corp_name;

    /**
     * 外部联系人所在企业的主体名称，仅当联系人类型是企业微信用户时有此字段
     */
    private String corp_full_name;

    /**
     * 外部联系人的自定义展示信息，可以有多个字段和多种类型，包括文本，网页和小程序，仅当联系人类型是企业微信用户时有此字段
     */
    private ExternalProfileModel external_profile;
}
