package com.company.cloud.wx.sdk.work.model.externalcontact.customer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * remark，description，remark_company，remark_mobiles和remark_pic_mediaid不可同时为空
 */
@Getter
@Setter
public class CustomerRemarkReqModel extends BaseReqModel {

    /**
     * 企业成员的userid
     * 必传
     */
    private String userid;

    /**
     * 外部联系人userid
     * 必传
     */
    private String external_userid;

    /**
     * 此用户对外部联系人的备注，最多20个字符
     * 非必传
     */
    private String remark;

    /**
     * 此用户对外部联系人的描述，最多150个字符
     * 非必传
     */
    private String description;

    /**
     * 此用户对外部联系人备注的所属公司名称，最多20个字符
     * 只在此外部联系人为微信用户时有效
     * 非必传
     */
    private String remark_company;

    /**
     * 此用户对外部联系人备注的手机号
     * 将会覆盖旧的备注手机号
     * 如果要清除所有备注手机号,请在remark_mobiles填写一个空字符串(“”)
     * 非必传
     */
    private List<String> remark_mobiles;

    /**
     * 备注图片的mediaid
     * 非必传
     */
    private String remark_pic_mediaid;
}
