package com.company.cloud.wx.sdk.work.model.externalcontact.customer;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class FollowUserModel {

    /**
     * 添加了此外部联系人的企业成员userid
     */
    private String userid;

    /**
     * 该成员对此外部联系人的备注
     */
    private String remark;

    /**
     * 该成员对此外部联系人的描述
     */
    private String description;

    /**
     * 该成员添加此外部联系人的时间
     */
    private String createtime;

    /**
     * 该成员对此客户备注的企业名称
     */
    private String remark_corp_name;

    /**
     * 该成员对此客户备注的手机号码，第三方不可获取
     */
    private List<String> remark_mobiles;

    /**
     * 该成员添加此客户的来源，具体含义如下
     * 0	未知来源
     * 1	扫描二维码
     * 2	搜索手机号
     * 3	名片分享
     * 4	群聊
     * 5	手机通讯录
     * 6	微信联系人
     * 7	来自微信的添加好友申请
     * 8	安装第三方应用时自动添加的客服人员
     * 9	搜索邮箱
     * 201	内部成员共享
     * 202	管理员/负责人分配
     */
    private Integer add_way;

    /**
     * 发起添加的userid，如果成员主动添加，为成员的userid；
     * 如果是客户主动添加，则为客户的外部联系人userid；如果是内部成员共享/管理员分配，则为对应的成员/管理员userid
     */
    private String oper_userid;

    /**
     * 企业自定义的state参数，用于区分客户具体是通过哪个「联系我」添加，由企业通过创建「联系我」方式指定
     */
    private String state;

    /**
     * 该成员添加此外部联系人所打标签
     */
    private List<Tag> tags;

    @Getter
    @Setter
    public class Tag {

        /**
         * 该成员添加此外部联系人所打标签的分组名称（标签功能需要企业微信升级到2.7.5及以上版本）
         */
        private String group_name;

        /**
         * 该成员添加此外部联系人所打标签名称
         */
        private String tag_name;

        /**
         * 该成员添加此外部联系人所打标签类型, 1-企业设置, 2-用户自定义
         */
        private Integer type;

        /**
         * 该成员添加此外部联系人所打企业标签的id，仅企业设置（type为1）的标签返回
         */
        private String tag_id;
    }
}
