package com.company.cloud.wx.sdk.work.model.externalcontact.groupchat;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class GroupChatMemberModel {

    /**
     * 群成员id
     */
    private String userid;

    /**
     * 成员类型。
     * 1 - 企业成员
     * 2 - 外部联系人
     */
    private Integer type;

    /**
     * 外部联系人在微信开放平台的唯一身份标识（微信unionid），通过此字段企业可将外部联系人与公众号/小程序用户关联起来。
     * 仅当群成员类型是微信用户（包括企业成员未添加好友），且企业或第三方服务商绑定了微信开发者ID有此字段
     */
    private String unionid;

    /**
     * 入群时间
     */
    private Integer join_time;

    /**
     * 入群方式。
     * 1 - 由成员邀请入群（直接邀请入群）
     * 2 - 由成员邀请入群（通过邀请链接入群）
     * 3 - 通过扫描群二维码入群
     */
    private Integer join_scene;

    /**
     * 邀请
     */
    private Invitor invitor;

    /**
     * 在群里的昵称
     */
    private String group_nickname;
    /**
     * 名称
     */
    private String name;

    @Getter
    @Setter
    public class Invitor {

        /**
         * 邀请者id
         */
        private String userid;
    }
}
