package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class GroupMsgResp extends BaseRespModel {

    /**
     * 分页游标，再下次请求时填写以获取之后分页的记录，如果已经没有更多的数据则返回空
     */
    private String next_cursor;

    /**
     * 群成员发送结果列表
     */
    private List<Send> send_list;

    @Getter
    @Setter
    public class Send {

        /**
         * 外部联系人userid，群发消息到企业的客户群不吐出该字段
         */
        private String external_userid;

        /**
         * 外部客户群id，群发消息到客户不吐出该字段
         */
        private String chat_id;

        /**
         * 企业服务人员的userid
         */
        private String userid;

        /**
         * 发送状态 0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
         */
        private Integer status;

        /**
         * 发送时间，发送状态为1时返回
         */
        private Long send_time;

    }
}
