package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import com.company.cloud.wx.sdk.work.model.externalcontact.MsgTypeModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MsgTemplateReqModel extends BaseReqModel {

    /**
     * 群发任务的类型，默认为single，表示发送给客户，group表示发送给客户群
     * 非必传
     */
    private String chat_type;

    /**
     * 客户的外部联系人id列表，仅在chat_type为single时有效，不可与sender同时为空，最多可传入1万个客户
     * 非必传
     */
    private List<String> external_userid;

    /**
     * 发送企业群发消息的成员userid，当类型为发送给客户群时必填
     * 非必传
     */
    private String sender;

    /**
     * 消息文本
     * 非必传
     */
    private MsgTypeModel.Text text;

    /**
     * 消息文本
     * 非必传
     */
    private List<Attachment> attachments;

    @Getter
    @Setter
    public static class Attachment {
        /**
         * 附件类型
         * 非必传
         */
        private String msgtype;

        /**
         * 图片
         * 非必传
         */
        private MsgTypeModel.Image image;

        /**
         * 链接
         * 非必传
         */
        private MsgTypeModel.Link link;

        /**
         * 小程序
         * 非必传
         */
        private MsgTypeModel.Miniprogram miniprogram;

        /**
         * 视频
         * 非必传
         */
        private MsgTypeModel.Video video;

        /**
         * 文件
         * 非必传
         */
        private MsgTypeModel.File file;
    }

}
