package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MomentModel {

    /**
     * 朋友圈id
     */
    private String moment_id;

    /**
     * 朋友圈创建者userid
     */
    private String creator;

    /**
     * 创建时间
     */
    private Long create_time;

    /**
     * 朋友圈创建来源。0：企业 1：个人
     */
    private Integer create_type;

    /**
     * 可见范围类型。0：部分可见 1：公开
     */
    private Integer visible_type;

    private Text text;

    private List<Image> image;

    private Video video;

    private Link link;

    private Location location;

    @Getter
    @Setter
    public class Text {
        /**
         * 文本消息结构
         */
        private String content;
    }

    @Getter
    @Setter
    public class Image {
        /**
         * 图片的media_id列表，可以通过获取临时素材下载资源
         */
        private String media_id;
    }

    @Getter
    @Setter
    public class Video {
        /**
         * 视频media_id，可以通过获取临时素材下载资源
         */
        private String media_id;

        /**
         * 视频封面media_id，可以通过获取临时素材下载资源
         */
        private String thumb_media_id;
    }

    @Getter
    @Setter
    public class Link {
        /**
         * 网页链接标题
         */
        private String title;

        /**
         * 网页链接url
         */
        private String url;
    }

    @Getter
    @Setter
    public class Location {
        /**
         * 地理位置纬度
         */
        private String latitude;

        /**
         * 地理位置经度
         */
        private String longitude;

        /**
         * 地理位置名称
         */
        private String name;
    }
}
