package com.company.cloud.wx.sdk.work.model.externalcontact.statistic;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class StatisticGroupReqModel extends BaseReqModel {

    /**
     * 起始日期的时间戳，填当天的0时0分0秒（否则系统自动处理为当天的0分0秒）。取值范围：昨天至前180天。
     * 必传
     */
    private Long day_begin_time;

    /**
     * 结束日期的时间戳，填当天的0时0分0秒（否则系统自动处理为当天的0分0秒）。取值范围：昨天至前180天。
     * 如果不填，默认同 day_begin_time（即默认取一天的数据）
     * 非必传
     */
    private Long day_end_time;

    /**
     * 群主过滤，如果不填，表示获取全部群主的数据
     * 非必传
     */
    private UserIdList owner_filter;

    /**
     * 排序方式。
     * 1 - 新增群的数量
     * 2 - 群总数
     * 3 - 新增群人数
     * 4 - 群总人数
     * 默认为1
     * 非必传
     * 按天查询不传
     */
    private Integer order_by;

    /**
     * 是否升序。0-否；1-是。默认降序
     * 非必传
     * 按天查询不传
     */
    private Integer order_asc;

    /**
     * 分页，偏移量, 默认为0
     * 非必传
     * 按天查询不传
     */
    private Integer offset;

    /**
     * 分页，预期请求的数据量，默认为500，取值范围 1 ~ 1000
     * 非必传
     * 按天查询不传
     */
    private Integer limit;

    @Getter
    @Setter
    public class UserIdList {

        /**
         * 群主ID列表。最多100个
         * 非必传
         */
        public List<String> userid_list;
    }
}
