package com.company.cloud.wx.sdk.work.model.externalcontact.statistic;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class StatisticGroupResp extends BaseRespModel {

    /**
     * 命中过滤条件的记录总个数
     */
    private Integer total;

    /**
     * 当前分页的下一个offset。当next_offset和total相等时，说明已经取完所有
     */
    private Integer next_offset;

    /**
     * 记录列表。表示某个群主所拥有的客户群的统计数据
     */
    private List<Item> items;

    @Getter
    @Setter
    public class Item {

        /**
         * 群主ID
         */
        private String owner;

        /**
         * 详情
         */
        private Data data;

    }

    @Getter
    @Setter
    public class Data {

        /**
         * 新增客户群数量
         */
        private Integer new_chat_cnt;

        /**
         * 截至当天客户群总数量
         */
        private Integer chat_total;

        /**
         * 截至当天有发过消息的客户群数量
         */
        private Integer chat_has_msg;

        /**
         * 客户群新增群人数。
         */
        private Integer new_member_cnt;

        /**
         * 截至当天客户群总人数
         */
        private Integer member_total;

        /**
         * 截至当天有发过消息的群成员数
         */
        private Integer member_has_msg;

        /**
         * 截至当天客户群消息总数
         */
        private Integer msg_total;
    }
}
