package com.company.cloud.wx.sdk.work.model.externalcontact.statistic;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * userid和partyid不可同时为空;
 * 此接口提供的数据以天为维度，查询的时间范围为[start_time,end_time]，即前后均为闭区间，支持的最大查询跨度为30天；
 * 用户最多可获取最近180天内的数据；
 * 当传入的时间不为0点时间戳时，会向下取整，如传入1554296400(Wed Apr 3 21:00:00 CST 2019)会被自动转换为1554220800（Wed Apr 3 00:00:00 CST 2019）;
 * 如传入多个userid，则表示获取这些成员总体的联系客户数据。
 */
@Getter
@Setter
public class StatisticUserReqModel extends BaseReqModel {

    /**
     * 成员ID列表，最多100个
     * 非必传
     */
    private List<String> userid;

    /**
     * 部门ID列表，最多100个
     * 非必传
     */
    private List<String> partyid;

    /**
     * 数据起始时间
     * 必传
     */
    private Long start_time;

    /**
     * 数据结束时间
     * 必传
     */
    private Long end_time;
}
