package com.company.cloud.wx.sdk.work.model.externalcontact.tag;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * tag_id和group_id不可同时为空。
 * 如果一个标签组下所有的标签均被删除，则标签组会被自动删除。
 */
@Getter
@Setter
public class TagDelReqModel extends BaseReqModel {

    /**
     * 要查询的标签id
     * 非必传
     */
    private List<String> tag_id;

    /**
     * 要查询的标签组id，返回该标签组以及其下的所有标签信息
     * 非必传
     */
    private List<String> group_id;

    /**
     * 授权方安装的应用agentid。仅旧的第三方多应用套件需要填此参数
     * 非必传
     */
    private Integer agentid;
}
