package com.company.cloud.wx.sdk.work.model.externalcontact.tag;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 若tag_id和group_id均为空，则返回所有标签。
 * 同时传递tag_id和group_id时，忽略tag_id，仅以group_id作为过滤条件。
 */
@Getter
@Setter
public class TagListReqModel extends BaseReqModel {

    /**
     * 要查询的标签id
     * 非必传
     */
    private List<String> tag_id;

    /**
     * 要查询的标签组id，返回该标签组以及其下的所有标签信息
     * 非必传
     */
    private List<String> group_id;
}
