package com.company.cloud.wx.sdk.work.model.externalcontact.tag;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 请确保external_userid是userid的外部联系人。
 * add_tag和remove_tag不可同时为空。
 * 同一个标签组下现已支持多个标签
 */
@Getter
@Setter
public class TagMarkReqModel extends BaseReqModel {

    /**
     * 添加外部联系人的userid
     * 必传
     */
    private String userid;

    /**
     * 外部联系人userid
     * 必传
     */
    private String external_userid;

    /**
     * 要标记的标签列表
     * 非必传
     */
    private List<String> add_tag;

    /**
     * 要移除的标签列表
     * 非必传
     */
    private List<String> remove_tag;
}
