package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 群主离职了的客户群，才可继承
 * 继承给的新群主，必须是配置了客户联系功能的成员
 * 继承给的新群主，必须有设置实名
 * 继承给的新群主，必须有激活企业微信
 * 同一个人的群，限制每天最多分配300个给新群主
 */
@Getter
@Setter
public class TransferGroupReqModel extends BaseReqModel {

    /**
     * 需要转群主的客户群ID列表。取值范围： 1 ~ 100
     * 非必传
     */
    private List<String> chat_id_list;

    /**
     * 新群主ID
     * 必传
     */
    private String new_owner;
}
