package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;

@Data
public class MemberDeleteModel  extends BaseReqModel {
    /**
     *必传
     * 成员UserID。对应管理端的帐号，企业内必须唯一。不区分大小写，长度为1~64个字节。只能由数字、字母和“_-@.”四种字符组成，且第一个字符必须是数字或字母。
     */
    @NotEmpty(message = "成员UserID不能为空")
    @Max(value = 64,message = "userId长度不能超过64个字节")
    @Pattern(regexp = "/[a-zA-z0-9]{1}[-a-zA-z0-9@._]*/g",message = "只能由数字、字母和“_-@.”四种字符组成，且首字符为数字或字母")
    private String userid;
}
