package com.company.cloud.wx.sdk.work.model.member;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 成员详情
 */
@Data
public class MemberModel{

        /** 成员UserID。对应管理端的帐号，企业内必须唯一。不区分大小写，长度为1~64个字节。只能由数字、字母和“_-@.”四种字符组成，且第一个字符必须是数字或字母。*/
        private String userid;
        /*成员名称。长度为1~64个utf8字符*/
        private String name;
        /**成员所属部门id列表,不超过100个*/
        private List<Integer> department;
        /**部门内的排序值，默认为0,与所属部门个数对应*/
        private List<Integer> order;
        /**职务信息*/
        private String position;
        /**手机号码。企业内必须唯一，mobile/email二者不能同时为空*/
        private String mobile;
        /**性别。1表示男性，2表示女性*/
        private String gender;
        /**邮箱。*/
        private String email;
        /**个数必须和参数department的个数一致，表示在所在的部门内是否为上级。1表示为上级，0表示非上级。*/
        private List<Integer> is_leader_in_dept;
        /*头像url。*/
        private String avatar;
        /*头像缩略图url*/
        private String thumb_avatar;
        /**座机*/
        private String telephone;
        /* *成员别名*/
        private String alias;
        /**地址*/
        private String address;
        /*全局唯一。对于同一个服务商，不同应用获取到企业内同一个成员的open_userid是相同的，最多64个字节。仅第三方应用可获取*/
        private String open_userid;
        /**主部门*/
        private Integer main_department;
        /**自定义字段。只支持type=0的文本和type=1的网页类型*/
        private Map<String,Object> extattr;
        /*激活状态: 1=已激活，2=已禁用，4=未激活，5=退出企业。*/
        private Integer status;
        /*员工个人二维码*/
        private String qr_code;
        /**对外职务*/
        private String external_position;
        /**成员对外属性*/
        private Map<String,Object> external_profile;
}
