package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import com.company.cloud.wx.sdk.work.model.externalcontact.moment.MomentModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 发送消息
 */
@Getter
@Setter
public class MessageSendReq extends BaseReqModel {
    /**
     * 非必传
     * 指定接收消息的成员，成员ID列表（多个接收者用‘|’分隔，最多支持1000个）。
     * touser、toparty、totag不能同时为空，后面不再强调。
     */
    private String touser;

    /**
     * 非必传
     * 指定接收消息的成员，成员ID列表（多个接收者用‘|’分隔，最多支持1000个）。
     */
    private String toparty;

    /**
     * 非必传
     * 指定接收消息的成员，成员ID列表（多个接收者用‘|’分隔，最多支持1000个）。
     */
    private String totag;

    /**
     * 必传
     * 消息类型，文本消息固定为：text
     */
    private String msgtype;

    /**
     * 必传
     * 企业应用的id
     */
    private Integer agentid;

    /**
     * 必传
     * 消息内容
     */
    private MomentModel.Text text;

    /**
     * 非必传
     * 表示是否是保密消息，0表示可对外分享，1表示不能分享且内容显示水印，默认为0
     */
    private Integer safe;

    /**
     * 非必传
     * 表示是否开启id转译，0表示否，1表示是，默认0。仅第三方应用需要用到，企业自建应用可以忽略。
     */
    private Integer enable_id_trans;

    /**
     * 非必传
     * 表示是否开启重复消息检查，0表示否，1表示是，默认0
     */
    private Integer enable_duplicate_check;

    /**
     * 非必传
     * 表示是否重复消息检查的时间间隔，默认1800s，最大不超过4小时
     */
    private Integer duplicate_check_interval;

}
