package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.config.TupConfigModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;
import java.util.List;

@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
        "toUserName",
        "fromUserName",
        "createTime",
        "msgType",
        "event",
        "changeType",
        "userID",
        "newUserID",
        "name",
        "department",
        "mainDepartment",
        "isLeaderInDept",
        "position",
        "mobile",
        "gender",
        "email",
        "status",
        "avatar",
        "alias",
        "telephone",
        "address",
        "extAttr"
})
public class UserChangeXmlModel {

    @XmlElement(name = "ToUserName")
    private String toUserName;

    @XmlElement(name = "FromUserName")
    private String fromUserName;

    @XmlElement(name = "CreateTime")
    private Integer createTime;

    @XmlElement(name = "MsgType")
    private String msgType;

    @XmlElement(name = "Event")
    private String event;

    @XmlElement(name = "ChangeType")
    private String changeType;

    @XmlElement(name = "UserID")
    private String userID;

    @XmlElement(name = "NewUserID")
    private String newUserID;

    @XmlElement(name = "Name")
    private String name;

    @XmlElement(name = "Department")
    private String department;

    @XmlElement(name = "MainDepartment")
    private String mainDepartment;

    @XmlElement(name = "IsLeaderInDept")
    private String isLeaderInDept;

    @XmlElement(name = "Position")
    private String position;

    @XmlElement(name = "Mobile")
    private String mobile;

    @XmlElement(name = "Gender")
    private Integer gender;

    @XmlElement(name = "Email")
    private String email;

    @XmlElement(name = "Status")
    private Integer status;

    @XmlElement(name = "Avatar")
    private String avatar;

    @XmlElement(name = "Alias")
    private String alias;

    @XmlElement(name = "Telephone")
    private String telephone;

    @XmlElement(name = "Address")
    private String address;

    @XmlElement(name = "ExtAttr")
    private ExtAttr extAttr;

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(propOrder = {"attrs"})
    public static class ExtAttr {
        // 图文条目
        @XmlElement(name = "item")
        @TupConfigModelProperty(key = "item", name = "扩展属性", eleType = "list.obj")
        private List<ExtAttrItem> attrs;
    }


    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(propOrder = {"name","type","text","web"})
    public static class ExtAttrItem {

        @XmlElement(name = "Name")
        private String name;

        @XmlElement(name = "Type")
        private Integer type;

        @XmlElement(name = "Text")
        private ExtAttrText text;

        @XmlElement(name = "Web")
        private ExtAttrWeb web;
    }

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(propOrder = {"value"})
    public static class ExtAttrText {

        @XmlElement(name = "Value")
        private String value;
    }

    @Getter
    @Setter
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(propOrder = {"title","url"})
    public static class ExtAttrWeb {

        @XmlElement(name = "Title")
        private String title;

        @XmlElement(name = "Url")
        private String url;
    }

}
