package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import com.company.cloud.sdk.weixin.common.utils.EnumValid;
import com.company.cloud.wx.sdk.work.enums.WxWorkEnum;
import lombok.Data;

import javax.validation.constraints.NotEmpty;


/**
 * 获取部门成员
 */
@Data
public class UserSimpleListModel extends BaseReqModel {
    /**
     * 必传
     * 获取的部门id
     */
    @NotEmpty(message = "部门id不能为空")
    private String department_id;

    /**
     * 是否递归获取子部门下面的成员：1-递归获取，0-只获取本部门
     */
    @EnumValid(target = WxWorkEnum.RecursionEnum.class,message = "")
    private String fetch_child;

}
