package com.company.cloud.wx.sdk.work.model.register;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RegisterCodeModel extends BaseModel {

    /**
     * 必传
     * 服务商provider_access_token，获取方法参见服务商的凭证
     */
    private String provider_access_token;
    /**
     * 必传
     * 推广包ID，最长为128个字节。在“服务商管理端-应用管理-推广二维码”，创建的推广码详情可查看。
     */
    private String template_id;
    /**
     * 非必传
     * 企业名称
     */
    private String corp_name;
    /**
     * 非必传
     * 管理员姓名
     */
    private String admin_name;
    /**
     * 非必传
     * 管理员手机号
     */
    private String admin_mobile;
    /**
     * 非必传
     * 用户自定义的状态值。只支持英文字母和数字，最长为128字节。
     * 若指定该参数， 接口 查询注册状态 及 注册完成回调事件 会相应返回该字段值
     */
    private String state;
    /**
     * 非必传
     * 跟进人的userid，必须是服务商所在企业的成员。
     * 若配置该值，则由该注册码创建的企业，在服务商管理后台，该企业的报备记录会自动标注跟进人员为指定成员
     */
    private String follow_user;

}
