package com.company.cloud.wx.sdk.work.pub;

import com.company.cloud.wx.sdk.work.enums.WxWorkMediaPath;
import com.company.cloud.wx.sdk.work.model.media.*;
import com.company.cloud.wx.sdk.work.utils.WxWorkUtils;

import java.io.File;

/**
 * 企业微信素材管理API（）
 */
public class WxWorkMediaApi {

    /**
     * 上传临时素材
     */
    public static MediaUploadResp upload(MediaUploadModel entity) {
        return WxWorkUtils.formReq(new MediaUploadResp(), WxWorkMediaPath.MEDIA_UPLOAD.getType(), entity);
    }

    /**
     * 上传图片
     */
    public static MediaUploadImgResp uploadimg(MediaUploadImgModel entity) {
        return WxWorkUtils.formReq(new MediaUploadImgResp(), WxWorkMediaPath.MEDIA_UPLOADIMG.getType(), entity);
    }

    /**
     * 获取临时素材
     */
    public static File get(MediaQueryModel entity) {
        return WxWorkUtils.fileReq(WxWorkMediaPath.MEDIA_GET.getType(), entity);
    }

    /**
     * 获取高清语音素材
     */
    public static MediaQueryResp getJssdk(MediaQueryModel entity) {
        return WxWorkUtils.getReq(new MediaQueryResp(), WxWorkMediaPath.MEDIA_JSSDK.getType(), entity);
    }
}
