package com.company.cloud.wx.sdk.work.third;


import com.company.cloud.wx.sdk.work.enums.WxWorkRegisterPath;
import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.wx.sdk.work.model.register.*;
import com.company.cloud.wx.sdk.work.utils.WxWorkUtils;

/**
 * 第三方应用开发 推广二维码
 */
public class WxWorkRegisterApi {

    /**
     * 服务商的token
     */
    public static ProviderAccessTokenResp getProviderToken(RegisterCodeModel entity) {
        return WxWorkUtils.getReq(new ProviderAccessTokenResp(), WxWorkRegisterPath.GET_PROVIDER_TOKEN.getType(), entity);
    }

    /**
     * 获取注册码
     */
    public static RegisterCodeResp getRegisterCode(RegisterCodeModel entity) {
        return WxWorkUtils.getReq(new RegisterCodeResp(), WxWorkRegisterPath.GET_REGISTER_CODE.getType(), entity);
    }

    /**
     * 查询注册状态 get_register_info
     */
    public static RegisterInfoResp getRegisterInfo(RegisterInfoModel entity) {
        return WxWorkUtils.getReq(new RegisterInfoResp(), WxWorkRegisterPath.GET_REGISTER_INFO.getType(), entity);
    }

    /**
     * 设置授权应用可见范围 set_scope
     */
    public static ScopeResp setScope(ScopeModel entity) {
        return WxWorkUtils.postReq(new ScopeResp(), WxWorkRegisterPath.SET_SCOPE.getType(), entity);
    }

    /**
     *设置通讯录同步完成 contact_sync_success
     */
    public static BaseRespModel contactSyncSuccess(ContactSyncSuccessModel entity) {
        return WxWorkUtils.postReq(new BaseRespModel(), WxWorkRegisterPath.CONTACT_SYNC_SUCCESS.getType(), entity);
    }

}
