package com.company.cloud.wx.sdk.work.third;


import com.company.cloud.wx.sdk.work.enums.WxWorkThirdAuthorizePath;
import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.wx.sdk.work.model.authorize.*;
import com.company.cloud.wx.sdk.work.utils.WxWorkUtils;

/**
 * 第三方应用开发 应用授权
 */
public class WxWorkThirdAuthorizeApi {

    /**
     * 获取第三方应用凭证 get_suite_token
     */
    public static SuiteTokenResp getSuiteToken(SuiteTokenModel entity) {
        return WxWorkUtils.getReq(new SuiteTokenResp(), WxWorkThirdAuthorizePath.GET_SUITE_TOKEN.getType(), entity);
    }

    /**
     * 获取预授权码 get_pre_auth_code
     */
    public static PerAuthCodeResp getPreAuthCode(PerAuthCodeModel entity) {
        return WxWorkUtils.getReq(new PerAuthCodeResp(), WxWorkThirdAuthorizePath.GET_PRE_AUTH_CODE.getType(), entity);
    }

    /**
     * 获取预授权码 set_session_info
     */
    public static BaseRespModel setSessionInfo(PerAuthCodeModel entity) {
        return WxWorkUtils.postReq(new BaseRespModel(), WxWorkThirdAuthorizePath.SET_SESSION_INFO.getType(), entity);
    }

    /**
     * 获取企业永久授权码 get_permanent_code
     */
    public static PermanentCodeResp getPermanentCode(PermanentCodeModel entity) {
        return WxWorkUtils.postReq(new PermanentCodeResp(), WxWorkThirdAuthorizePath.GET_PERMANENT_CODE.getType(), entity);
    }

    /**
     * 获取企业授权信息 get_auth_info
     */
    public static AuthInfoResp getAuthInfo(AuthInfoModel entity) {
        return WxWorkUtils.postReq(new AuthInfoResp(), WxWorkThirdAuthorizePath.GET_AUTH_INFO.getType(), entity);
    }

    /**
     * 获取企业凭证 get_corp_token
     */
    public static CorpTokenResp getCorpToken(AuthInfoModel entity) {
        return WxWorkUtils.postReq(new CorpTokenResp(), WxWorkThirdAuthorizePath.GET_CORP_TOKEN.getType(), entity);
    }

    /**
     * 获取应用的管理员列表 get_admin_list
     */
    public static AdminListResp getAdminList(AdminListModel entity) {
        return WxWorkUtils.postReq(new AdminListResp(), WxWorkThirdAuthorizePath.GET_ADMIN_LIST.getType(), entity);
    }


}
