package com.company.cloud.wx.sdk.work.utils;

import com.company.cloud.sdk.weixin.common.constant.WxHttpMethodEnum;
import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.sdk.weixin.common.utils.WxHttpRequestUtils;
import com.company.cloud.wx.sdk.work.enums.WxWorkDomain;

import java.io.File;

public class WxWorkUtils {

    public static <T extends BaseRespModel> T getResp(T t, String wxApi, WxHttpMethodEnum method, WxWorkDomain wxDomain, Object entity) {
        if (null == wxDomain) {
            wxDomain = WxWorkDomain.QY;
        }
        return WxHttpRequestUtils.getResp(t, wxApi, method, wxDomain.getType(), entity);
    }

    // get请求
    public static <T extends BaseRespModel> T getReq(T t, String wxApi, Object entity) {
        return WxHttpRequestUtils.getReq(t, wxApi, WxWorkDomain.QY.getType(), entity);
    }

    // post请求
    public static <T extends BaseRespModel> T postReq(T t, String wxApi, Object entity) {
        return WxHttpRequestUtils.postReq(t, wxApi, WxWorkDomain.QY.getType(), entity);
    }

    // 表单请求
    public static <T extends BaseRespModel> T formReq(T t, String wxApi, Object entity) {
        return WxHttpRequestUtils.formReq(t, wxApi, WxWorkDomain.QY.getType(), entity);
    }

    // 下载文件请求
    public static File fileReq(String wxApi, Object entity) {
        return WxHttpRequestUtils.fileReq(wxApi, WxWorkDomain.QY.getType(), entity);
    }
}
